%Input values for the shipside
stiveravstand = 0.8;
stiveriavstand = 0.8;
Indrestiverstegtykkelse = 0.013;
Indrestiverflenstykkelse = 0.0384;
stiveruhoyde = 0.37;
stiverubredde = 0.0535;
ytrestiverstegtykkelse = 0.013;
ytrestiverflenstykkelse = 0.0384;
stiveribredde = 0.0535;
stiverihoyde = 0.37;
stringeravstand = stiveravstand*10;
rammeavstand = 3.20;
antallrammer = 6;
antallstringer = 2;
Stringertykkelse = 0.012;
Girdertykkelse = 0.0155;
avstandindreytre = 3.6;
ytrehudtykkelse = 0.017;
indrehudtykkelse = 0.015;
Girderstivertykkelse = 0.0115;
rammestiverhoyde = 0.25;
Girderstiverflenstykkelse = 0.015;
Girderstiverflenbredde = 0.1;

filnavnIS = 'iceberg';

%Input values for the iceberg
Meshsize = 0.1;
H = 0.7;
%Used varius angles
Angle = [15, 40];
%Used varius radiuses
Radius =[(stiveravstand/4); (stiveravstand/2); (stiveravstand); (rammeavstand/4); (rammeavstand)];
Radiustext ={num2str(stiveravstand/4); num2str(stiveravstand/2); num2str(stiveravstand); num2str(rammeavstand/4); num2str(rammeavstand)};

%For loops to go trough all varius inputvalues
for iii=1
for kkk=1:3
    %Folder for the analysis
    cd 'C:\Users\Torstein\Documents\utenis'
    %Give different name for each model
    filnavn = num2str(Angle(iii));
    
    %Calculate meshsize based on the thickness of the plating and avoiding
    %transitions
    Meshsizelangships = rammeavstand/floor((rammeavstand)/(min([indrehudtykkelse,ytrehudtykkelse,Stringertykkelse,ytrestiverflenstykkelse,ytrestiverstegtykkelse,Indrestiverflenstykkelse,Indrestiverstegtykkelse])*10));
    Meshsizetverrships = stiveravstand/floor(stiveravstand/(min([indrehudtykkelse,ytrehudtykkelse,Girdertykkelse])*10));
    Meshsizeouterstif = min([stiveruhoyde/3, ytrestiverstegtykkelse*10]);
    Meshsizeinnerstif = min([stiverihoyde/3, Indrestiverstegtykkelse*10]);
    Meshsizetverrstifffl = ytrestiverflenstykkelse*10;
    Meshsizetverrstiff = min([ytrestiverstegtykkelse*10,stiveruhoyde/3]);
    Meshsizetverrstringer = min([Stringertykkelse*10 , avstandindreytre/3]);
    Meshsizetverrgirder = min([Girdertykkelse*10 , avstandindreytre/3]);
    
    %Begins the controll file for Patran 
    File = {'$# Recorded by: Patran 2012 64-Bit';...
        'uil_file_new.go( "C:\MSC.Software\Patran_x64\20121/template.db",  @';...
        %Spesify filename and loacation 
        ['"C:\Users\Torstein\Documents\utenis\' filnavn '.db" )'];...
        '$# Question from application FILE';...
        %If alredy exiting overwrite
        ['$#     Database C:\Users\Torstein\Documents\utenis\' filnavn '.db already exists.'];...
        '$# Do you wish to delete the existing database and create a new one ?';...
        '$? YES 36000002';...
        '$# Copying C:\MSC.Software\Patran_x64\20121/template.db to';...
        ['$# C:\Users\Torstein\Documents\utenis\' filnavn '.db'];...
        '$# Template copy complete.';...
        '$# Database version 3.12 created by Patran 2012 64-Bit successfully opened.';...
        ['$# Creating journal file C:\Users\Torstein\Documents\utenis\' filnavn '.db.jou at'];...
        '$# 28-Jan-13 17:37:19';...
        '$# Synchronizing the User Data Manager';...
        'set_current_dir( "C:\Users\Torstein\Documents\utenis" )';...
        '$# The current working directory has been changed to the database location';...
        '$# shown.';...
        '$# ';...
        '$#';...
        %Spesify LS-DYNA as solver
        'uil_pref_analysis.set_analysis_preference( "LS-DYNA3D", "Structural", ".key",  @';...
        '"", "No Mapping" )';...
        '$#  Loading... ls_dyna3d_defn_dflt_tbs( LS-DYNA3D, Structural ));';...
        %Make a group for the outher hull
        'ga_group_create( "outerhull" )';...
        'ga_group_current_set( "outerhull" )';...
        '$# Group "outerhull" created.';...
        %Add steel to the material list
        'material.create( "Analysis code ID", 10001, "Analysis type ID", 1, "Steel", 1, @';...
        ' "", "Isotropic", 1, "Directionality", 1, "Linearity", 1, "Homogeneous", 0,  @';...
        '"Linear Elastic", 1, "Model Options & IDs", ["Linear Elastic(MAT1)", "Solid",  @';...
        '"", "", ""], [11002, 11003, 0, 0, 0], "Active Flag", 1, "Create", 11,  @';...
        '"External Flag", FALSE, "Property IDs", ["Density", "Elastic Modulus",  @';...
        '"Poisson Ratio"], [16, 2, 5, 0], "Property Values", ["7800", "2.1E11", "0.3",  @';...
        '""] )';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]'};
    
    %Counting lines in controll file
    k = 33;
    
    %Draw one curve for the plate between each stiffener
    for i=1:stringeravstand*(antallstringer+1)/stiveravstand
        File(i*3-2+k:i*3+k) = {['asm_const_line_xyz( "' num2str(i) '", "<' num2str(stiveravstand) ' 0 0>", "[' num2str((i-1)*stiveravstand) ' 0 0]", "Coord 0",  @'];...
            'asm_create_line_xyz_created_ids )';...
            ['$# 1 Line created: Line ' num2str(i)]};
    end
    
    %Count number of curves drawn
    Curve = stringeravstand*(antallstringer+1)/stiveravstand;
    
    k = k+stringeravstand*(antallstringer+1)*3/stiveravstand;
    
    %Extrude the curves to surfaces
    File(1+k:k+4) = {'STRING sgm_sweep_surface_e_created_ids[VIRTUAL]';...
        ['sgm_const_surface_extrude( "1", "<0 0 ' num2str(rammeavstand*(antallrammer+1)) '>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve 1:' num2str(Curve) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# 11 Surfaces Created: Surfaces 1:' num2str(Curve)]};
    
    k = k+4;
    
    %Count surfaces made
    Surface = Curve;
    
    %Place meshseed on the edges of the plates
    for i = 1:Surface
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )']};
        k = k+4;
    end
    
    %Add the properties to the surfaces made
    File(k+1:k+3)={'elementprops_create( "Outherhull", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(ytrehudtykkelse) '", "", "", "", "", "", "", ""], "Surface 1:' num2str(Surface) ':1 '...
        '" )']};
    
    
    k = k+3;
    
    %Mesh the surfaces and add a new goup for the outher stiffeners webs
    File(k+1:k+14) = {'ui_exec_function( "mesh_seed_display_mgr", "init" )';...
        'INTEGER fem_create_mesh_surfa_num_nodes';...
        'INTEGER fem_create_mesh_surfa_num_elems';...
        'STRING fem_create_mesh_s_nodes_created[VIRTUAL]';...
        'STRING fem_create_mesh_s_elems_created[VIRTUAL]';...
        'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface 1:' num2str(Surface)...
        '", 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @'];...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )';...
        'ga_group_create( "outerstiffenerweb" )';...
        'ga_group_current_set( "outerstiffenerweb" )';...
        '$# Group "outerstiffenerweb" created.';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]';...
        'ui_exec_function( "mesh_seed_display_mgr", "init" )'};
    
    k = k+14;
    
    %Add boundary conditions to the outher hull plating
    File(k+1:k+4) = {'loadsbcs_create2( "BCouterhull", "Displacement", "Nodal", "", "Static", [ @';...
        ['"Surface 1.1 ' num2str(Surface) '.3 ' num2str(1)  ':' num2str(Surface) '.2 ' num2str(1) ':' num2str(Surface) '.4 '...
        '"], "Geometry", "Coord 0", "1.", ["<0 0 0>",  @'];...
        '"<0 0 0>", "<     >", "<     >"], ["", "", "", ""] )';...
        '$# Load/BC set "BC1" created.'};
    
    k = k+4;
    
    %Draw curves for the stiffener web and exclude the points were there are stringers
    for j = 0:antallstringer
        for i = 1+j*stringeravstand/stiveravstand:stringeravstand/stiveravstand+j*stringeravstand/stiveravstand-1
            File((i-j)*3-2+k:(i-j)*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve-j) '", "<0 ' num2str(stiveruhoyde) ' 0>", "[' num2str(i*stiveravstand) ' 0 0]", "Coord 0",  @'];...
                'asm_create_line_xyz_created_ids )';...
                ['$# 1 Line created: Line ' num2str(i+Curve-j)]};
        end
    end
    
    %Add a new variable giving the number of the latest surface to be able
    %to know the number of the first and last surface that is the stiffeners web
    Surfacenew = Surface + stringeravstand*(antallstringer+1)/stiveravstand - 1-antallstringer;
    Curvenew = Curve + stringeravstand*(antallstringer+1)/stiveravstand - 1-antallstringer;
    k = k+((antallstringer+1)*stringeravstand/stiveravstand-1-antallstringer)*3;
    
    
    %Make surfaces of the curves 
    File(1+k:k+4) = {'STRING sgm_sweep_surface_e_created_ids[VIRTUAL]';...
        ['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<0 0 ' num2str(rammeavstand*(antallrammer+1)) '>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Surfacenew-Surface) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)]};
    
    
    Firstsurface = Surface;
    Surface = Surfacenew;
    Surfaceend = Surface;
    Curve = Curvenew;
    k = k+4;
    
    
    
    %Add properties to the surfaces outer stiffener web
    File(k+1:k+3)={'elementprops_create( "outerstiffenerweb", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(ytrestiverstegtykkelse) '", "", "", "", "", "", "", ""], "Surface ' num2str(Firstsurface+1) ':' num2str(Surface) ':1 '...
        '" )']};
    
    
    k = k+3;
    
    %Add mesh seed to the edges
    for i = Firstsurface+1:Surface
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizetverrstiff) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizetverrstiff) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )']};
        k = k+4;
    end
    
    
    %Mesh surfaces and make a goup for the outher stiffeners flange
    File(k+1:k+9) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface ' num2str(Firstsurface+1) ':' num2str(Surface) ':1 '...
        '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )';...
        'ga_group_create( "outerstiffenerflange" )';...
        'ga_group_current_set( "outerstiffenerflange" )';...
        '$# Group "outerstiffenerflange" created.';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]'};
    
    k = k+9;
    
    %Add boundary conditions
    File(k+1:k+4) = {'loadsbcs_create2( "BCstiffenerweb", "Displacement", "Nodal", "", "Static", [ @';...
        ['"Surface ' num2str(Firstsurface+1)  ':' num2str(Surface) '.2 ' num2str(Firstsurface+1) ':' num2str(Surface) '.4'...
        '"], "Geometry", "Coord 0", "1.", ["<0 0 0>",  @'];...
        '"<0 0 0>", "<     >", "<     >"], ["", "", "", ""] )';...
        '$# Load/BC set "BC1" created.'};
    
    k = k+4;
    
    %Draw lines for the flange and exclude the points were there are stringers
    for j = 0:antallstringer
        for i = 1+j*stringeravstand/stiveravstand:stringeravstand/stiveravstand+j*stringeravstand/stiveravstand-1
            File((i-j)*3-2+k:(i-j)*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve-j) '", "<' num2str(stiverubredde) ' 0 0>", "[' num2str(i*stiveravstand) ' ' num2str(stiveruhoyde) ' 0]", "Coord 0",  @'];...
                'asm_create_line_xyz_created_ids )';...
                ['$# 1 Line created: Line ' num2str(i+Curve-j)]};
        end
    end
    
    
    Surfacenew = Surface + stringeravstand*(antallstringer+1)/stiveravstand - 1-antallstringer;
    Curvenew = Curve + stringeravstand*(antallstringer+1)/stiveravstand - 1-antallstringer;
    k = k+((antallstringer+1)*stringeravstand/stiveravstand-1-antallstringer)*3;
    
    %Extrude curves to surfaces
    File(1+k:k+4) = {'STRING sgm_sweep_surface_e_created_ids[VIRTUAL]';...
        ['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<0 0 ' num2str(rammeavstand*(antallrammer+1)) '>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Surfacenew-Surface) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)]};
    
    
    Firstsurface = Surface;
    Surface = Surfacenew;
    Surfaceend = Surface;
    Curve = Curvenew;
    k = k+4;
    
    
    %Add mesh seed to the edges
    for i = Firstsurface+1:Surface
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizetverrstiff) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizetverrstiff) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )']};
        k = k+4;
    end
    
    %Add properties to the sufraces
    File(k+1:k+3)={'elementprops_create( "outerstiffenerflange", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(ytrestiverflenstykkelse) '", "", "", "", "", "", "", ""], "Surface ' num2str(Firstsurface+1) ':' num2str(Surface) ':1 '...
        '" )']};
    
    
    k = k+3;
    
    %Mesh and create group for the Stringers
    File(k+1:k+9) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface ' num2str(Firstsurface+1) ':' num2str(Surface) ':1 '...
        '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )';...
        'ga_group_create( "Stringer" )';...
        'ga_group_current_set( "Stringer" )';...
        '$# Group "Stringer" created.';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]'};
    
    k = k+9;
    %Create boundary conditions
    File(k+1:k+4) = {'loadsbcs_create2( "BCstiffenerflange", "Displacement", "Nodal", "", "Static", [ @';...
        ['"Surface ' num2str(Firstsurface+1)  ':' num2str(Surface) '.2 ' num2str(Firstsurface+1) ':' num2str(Surface) '.4'...
        '"], "Geometry", "Coord 0", "1.", ["<0 0 0>",  @'];...
        '"<0 0 0>", "<     >", "<     >"], ["", "", "", ""] )';...
        '$# Load/BC set "BC1" created.'};
    
    k = k+4;
    
    %Draw the curves for the stringers
    for i=1:antallstringer
        File(i*3-2+k:i*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve) '", "<0 ' num2str(avstandindreytre) ' 0>", "[' num2str(i*stringeravstand) ' 0 0]", "Coord 0",  @'];...
            'asm_create_line_xyz_created_ids )';...
            ['$# 1 Line created: Line ' num2str(i+Curve)]};
    end
    
    Curvenew = Curve + antallstringer;
    Surfacenew = Surface + antallstringer;
    k = k+antallstringer*3;
    
    %Make surface from the curves
    File(1+k:k+4) = {'STRING sgm_sweep_surface_e_created_ids[VIRTUAL]';...
        ['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<0 0 ' num2str(rammeavstand*(antallrammer+1)) '>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Curvenew-Curve) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)]};
    
    k = k+4;
    Firstsurface = Surface;
    Surface = Surfacenew;
    Surfaceend = Surface;
    
    %Create mesh seed on the edges
    for i = Firstsurface+1:Surface
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizetverrstringer) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizetverrstringer) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )']};
        k = k+4;
    end
    
    
    
    %Add properties to the stringers
    File(k+1:k+3) = {'elementprops_create( "Stringer", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(Stringertykkelse) '", "", "", "", "", "", "", ""], "Surface ' num2str(Firstsurface+1) ':' num2str(Surface) '" )']};
    
    k = k+3;
    
    %Mesh the stringers
    File(k+1:k+5) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface '  num2str(Firstsurface+1) ':' num2str(Surface) '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )'};
    k = k+5;
    
    
    %Add boundary conditions
    File(k+1:k+4) = {'loadsbcs_create2( "BCstringer", "Displacement", "Nodal", "", "Static", [ @';...
        ['"Surface ' num2str(Firstsurface+1) ':' num2str(Surface) '.2 ' num2str(Firstsurface+1) ':' num2str(Surface) '.4"], "Geometry", "Coord 0", "1.", ["<0 0 0>",  @'];...
        '"<0 0 0>", "<     >", "<     >"], ["", "", "", ""] )';...
        '$# Load/BC set "BC1" created.'};
    
    k = k+4;
    
    
    %Make group for the web frames
    File(k+1:k+4) = {'ga_group_create( "Girder" )';...
        'ga_group_current_set( "Girder" )';...
        '$# Group "Girder" created.';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]'};
    
    Curve = Curvenew;
    k = k+4;
    
    %Draw curves for the web frames
    for i=1:antallrammer
        File(i*3-2+k:i*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve) '", "<0 ' num2str(avstandindreytre) ' 0>", "[0 0 ' num2str(i*rammeavstand) ']", "Coord 0",  @'];...
            'asm_create_line_xyz_created_ids )';...
            ['$# 1 Line created: Line ' num2str(i+Curve)]};
    end
    
    Surfacenew = Surface + antallrammer;
    Curvenew = Curve + antallrammer;
    k = k+antallrammer*3;
    
    %Extrude the curves to new surfaces
    File(1+k:k+4) = {'STRING sgm_sweep_surface_e_created_ids[VIRTUAL]';...
        ['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<' num2str(stringeravstand*(antallstringer+1)) ' 0 0>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Curvenew-Curve) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)]};
    
    
    k = k+4;
    Firstsurface = Surface;
    Surface = Surfacenew;
    Surfaceend = Surface;
    Curve = Curvenew;
    
    
    %Add mesh seed to the edges
    for i = Firstsurface+1:Surface
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(min([Meshsizetverrstringer,Meshsizetverrgirder])) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(min([Meshsizetverrstringer,Meshsizetverrgirder])) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )']};
        k = k+4;
    end
    
    
    %Add properties to the web frames
    File(k+1:k+3) = {'elementprops_create( "Girder", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(Girdertykkelse) '", "", "", "", "", "", "", ""], "Surface' num2str(Firstsurface+1) ':' num2str(Surface) '" )']};
    
    k = k+3;
    
    
    %Mesh the web frames
    File(k+1:k+5) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface '  num2str(Firstsurface+1) ':' num2str(Surface) '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )'};
    k = k+5;
    
    %Add boundary conditions
    File(k+1:k+4) = {'loadsbcs_create2( "BCgirder", "Displacement", "Nodal", "", "Static", [ @';...
        ['"Surface ' num2str(Firstsurface+1) ':' num2str(Surface) '.2 ' num2str(Firstsurface+1) ':' num2str(Surface) '.4"], "Geometry", "Coord 0", "1.", ["<0 0 0>",  @'];...
        '"<0 0 0>", "<     >", "<     >"], ["", "", "", ""] )';...
        '$# Load/BC set "BC1" created.'};
    
    k = k+4;
    
    
    
    %make new group for the inner hull plating
    File(k+1:k+4) ={'ga_group_create( "Innerhull" )';...
        'ga_group_current_set( "Innerhull" )';...
        '$# Group "Innerhull" created.';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]'};
    
    k = k+4;
    
    %Create curves for the inner hull plating
    for i=1:stringeravstand*(antallstringer+1)/stiveriavstand
        File(i*3-2+k:i*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve) '", "<' num2str(stiveriavstand) ' 0 0>", "[' num2str((i-1)*stiveriavstand) ' ' num2str(avstandindreytre) ' 0]", "Coord 0",  @'];...
            'asm_create_line_xyz_created_ids )';...
            ['$# 1 Line created: Line ' num2str(i+Curve)]};
    end
    
    Surfacenew = Surface+stringeravstand*(antallstringer+1)/stiveriavstand;
    Curvenew = Curve+stringeravstand*(antallstringer+1)/stiveriavstand;
    k = k+stringeravstand*(antallstringer+1)*3/stiveriavstand;
    
    %Extrude the curves to new surfaces
    File(1+k:k+7) = {'STRING sgm_sweep_surface_e_created_ids[VIRTUAL]';...
        ['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<0 0 ' num2str(rammeavstand*(antallrammer+1)) '>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Curvenew-Curve) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)];...
        'elementprops_create( "Innerhull", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(indrehudtykkelse) '", "", "", "", "", "", "", ""], "Surface' num2str(Surface+1) ':' num2str(Surfacenew) '" )']};
    
    
    Curve = Curvenew;
    k = k+7;
    
    %Create mesh seed on the edges
    for i = Surface+1:Surfacenew
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )']};
        
        k = k+4;
    end
    
    %Mesh the innerhull plating
    File(k+1:k+5) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface ' num2str(Surface+1) ':' num2str(Surfacenew) '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )'};
    k = k+5;
    
    %Add boundary conditions
    File(k+1:k+4) = {'loadsbcs_create2( "BCinnerhull", "Displacement", "Nodal", "", "Static", [ @';...
        ['"Surface ' num2str(Surface+1) '.1 ' num2str(Surfacenew) '.3 ' num2str(Surface+1)  ':' num2str(Surfacenew) '.2 ' num2str(Surface+1) ':' num2str(Surfacenew) '.4" '...
        '], "Geometry", "Coord 0", "1.", ["<0 0 0>",  @'];...
        '"<0 0 0>", "<     >", "<     >"], ["", "", "", ""] )';...
        '$# Load/BC set "BC1" created.'};
    
    k = k+4;
    
    %Make new group for the web of the inner stiffeners 
    Surface = Surfacenew;
    File(k+1:k+4) = {'ga_group_create( "Innerstiffenerweb" )';...
        'ga_group_current_set( "Innerstiffenerweb" )';...
        '$# Group "Innerstiffenerweb" created.';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]'};
    
    k= k+4;
    
    
   %Draw lines for the web of the inner stiffeners and exclude the points were there are stringers
    for j = 0:antallstringer
        for i = 1+j*stringeravstand/stiveravstand:stringeravstand/stiveravstand+j*stringeravstand/stiveravstand-1
            File((i-j)*3-2+k:(i-j)*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve-j) '", "<0 ' num2str(-stiverihoyde) ' 0>", "[' num2str(i*stiveravstand) ' ' num2str(avstandindreytre) ' 0]", "Coord 0",  @'];...
                'asm_create_line_xyz_created_ids )';...
                ['$# 1 Line created: Line ' num2str(i+Curve-j)]};
        end
    end
    
    Surfacenew = Surface + stringeravstand*(antallstringer+1)/stiveravstand - 1 - antallstringer;
    Curvenew = Curve + stringeravstand*(antallstringer+1)/stiveravstand - 1 - antallstringer;
    k = k+((antallstringer+1)*stringeravstand/stiveravstand-1-antallstringer)*3;
    
    %Extrude to curves to new surfaces
    File(1+k:k+7) = {'STRING sgm_sweep_surface_e_created_ids[VIRTUAL]';...
        ['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<0 0 ' num2str(rammeavstand*(antallrammer+1)) '>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Curvenew-Curve) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)];...
        'elementprops_create( "Innerstiffenerweb", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(Indrestiverstegtykkelse) '", "", "", "", "", "", "", ""], "Surface' num2str(Surface+1) ':' num2str(Surfacenew) '" )']};
    
    
    Curve = Curvenew;
    k = k+7;
    
    %Add mesh seed one the edges
    for i = Surface+1:Surfacenew
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizeinnerstif) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizeinnerstif) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )']};
        
        k = k+4;
    end
    
    %Mesh the web of the inner stiffeners
    File(k+1:k+5) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface ' num2str(Surface+1) ':' num2str(Surfacenew) '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )'};
    k = k+5;
    
    %Add boundary conditions
    File(k+1:k+4) = {'loadsbcs_create2( "BCinnerstiffenerweb", "Displacement", "Nodal", "", "Static", [ @';...
        ['"Surface ' num2str(Surface+1)  ':' num2str(Surfacenew) '.2 ' num2str(Surface+1) ':' num2str(Surfacenew) '.4" '...
        '], "Geometry", "Coord 0", "1.", ["<0 0 0>",  @'];...
        '"<0 0 0>", "<     >", "<     >"], ["", "", "", ""] )';...
        '$# Load/BC set "BC1" created.'};
    
    k = k+4;
    Surface = Surfacenew;
    
    %Create a group for the flange of the inner stiffeners
    File(k+1:k+4) = {'ga_group_create( "Innerstiffenerflange" )';...
        'ga_group_current_set( "Innerstiffenerflange" )';...
        '$# Group "Innerstiffenerflange" created.';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]'};
    
    k = k+4;
    
    %Draw lines for the flange of the inner stiffeners and exclude the points were there are stringers
    for j = 0:antallstringer
        for i = 1+j*stringeravstand/stiveravstand:stringeravstand/stiveravstand+j*stringeravstand/stiveravstand-1
            File((i-j)*3-2+k:(i-j)*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve-j) '", "<' num2str(stiveribredde) ' 0 0>", "[' num2str(i*stiveravstand) ' ' num2str(avstandindreytre-stiverihoyde) ' 0]", "Coord 0",  @'];...
                'asm_create_line_xyz_created_ids )';...
                ['$# 1 Line created: Line ' num2str(i+Curve-j)]};
        end
    end
    
    Curvenew = Curve + stringeravstand*(antallstringer+1)/stiveravstand - 1 - antallstringer;
    Surfacenew = Surface + stringeravstand*(antallstringer+1)/stiveravstand - 1 - antallstringer;
    k = k+((antallstringer+1)*stringeravstand/stiveravstand-1-antallstringer)*3;
    
    %Extrude the lines to new surfaces
    File(1+k:k+6) = {['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<0 0 ' num2str(rammeavstand*(antallrammer+1)) '>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Curvenew-Curve) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)];...
        'elementprops_create( "Innerstiffenerflange", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(Indrestiverflenstykkelse) '", "", "", "", "", "", "", ""], "Surface' num2str(Surface+1) ':' num2str(Surfacenew) '" )']};
    
    
    Curve = Curvenew;
    k = k+6;
    
    %Add mesh seed to the edges
    for i = Surface+1:Surfacenew
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )']};
        
        k = k+4;
    end
    
    % Mesh the flange of the inner stiffeners
    File(k+1:k+5) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface ' num2str(Surface+1) ':' num2str(Surfacenew) '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )'};
    k = k+5;
    
    %Add boundary conditions
    File(k+1:k+4) = {'loadsbcs_create2( "BCinnerstiffeneflange", "Displacement", "Nodal", "", "Static", [ @';...
        ['"Surface ' num2str(Surface+1)  ':' num2str(Surfacenew) '.2 ' num2str(Surface+1) ':' num2str(Surfacenew) '.4" '...
        '], "Geometry", "Coord 0", "1.", ["<0 0 0>",  @'];...
        '"<0 0 0>", "<     >", "<     >"], ["", "", "", ""] )';...
        '$# Load/BC set "BC1" created.'};
    
    k = k+4;
    
    %Create a group  for the web frame stiffeners
    File(k+1:k+4) = {'ga_group_create( "Girderstiffener" )';...
        'ga_group_current_set( "Girderstiffener" )';...
        '$# Group "Girderstiffener" created.';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]'};
    
    k = k+4;
    Surface = Surfacenew;
    
    %Draw lines for the web frame stiffeners on each webframe and excluding
    %the points were there are stringers
    for l = 1:antallrammer
        for j = 0:antallstringer
            for i = 1+j*stringeravstand/stiveravstand+(l-1)*(stringeravstand/stiveravstand+antallstringer*stringeravstand/stiveravstand-1):stringeravstand/stiveravstand+j*(stringeravstand/stiveravstand)+(l-1)*(stringeravstand/stiveravstand+antallstringer*stringeravstand/stiveravstand-1)-1
                x = (i-(l-1)*(stringeravstand/stiveravstand+antallstringer*stringeravstand/stiveravstand-1))*stiveravstand;
                z =l*rammeavstand;
                File((i-j-antallstringer*(l-1))*3-2+k:(i-j-antallstringer*(l-1))*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve-j-antallstringer*(l-1)) '", "<0 0 ' num2str(rammestiverhoyde) '>", "[' num2str(x) ' 0 ' num2str(z) ']", "Coord 0",  @'];...
                    'asm_create_line_xyz_created_ids )';...
                    ['$# 1 Line created: Line ' num2str(i+Curve-j-antallstringer*(l-1))]};               
            end
        end
    end

   
    Surfacenew = Surface + (stringeravstand*(antallstringer+1)/stiveravstand -1-antallstringer)*antallrammer;
    Curvenew = Curve + (stringeravstand*(antallstringer+1)/stiveravstand -1-antallstringer)*antallrammer;
    k = size(File,1);
    
    %Extruding the lines and add properties to the new surfaces
    File(1+k:k+6) = {['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<0 ' num2str(avstandindreytre) ' 0>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Curvenew-Curve) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)];...
        'elementprops_create( "Girderstiffener", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(Girderstivertykkelse) '", "", "", "", "", "", "", ""], "Surface' num2str(Surface+1) ':' num2str(Surfacenew) '" )']};
    
    k = k+6;
    
    %Add mesh seed to the edges
    for i = Surface+1:Surfacenew
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizetverrstringer) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizetverrstringer) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizelangships) ', 0. )']};
        k = k+4;
    end
    
    %Mesh the surfaces
    File(k+1:k+5) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface ' num2str(Surface+1) ':' num2str(Surfacenew) '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )'};
    k = k+5;
    
    Curve = Curvenew;
    Surface = Surfacenew;
    
    % Add lines for the flanges of the web frame stiffeners
    for l = 1:antallrammer
        for j = 0:antallstringer
            for i = 1+j*stringeravstand/stiveravstand+(l-1)*(stringeravstand/stiveravstand+antallstringer*stringeravstand/stiveravstand-1):stringeravstand/stiveravstand+j*(stringeravstand/stiveravstand)+(l-1)*(stringeravstand/stiveravstand+antallstringer*stringeravstand/stiveravstand-1)-1
                x = (i-(l-1)*(stringeravstand/stiveravstand+antallstringer*stringeravstand/stiveravstand-1))*stiveravstand;
                z =l*rammeavstand;
                File((i-j-antallstringer*(l-1))*3-2+k:(i-j-antallstringer*(l-1))*3+k) = {['asm_const_line_xyz( "' num2str(i+Curve-j-antallstringer*(l-1)) '", "<' num2str(Girderstiverflenbredde) ' 0 0>", "[' num2str(x) ' 0 ' num2str(z+rammestiverhoyde) ']", "Coord 0",  @'];...
                    'asm_create_line_xyz_created_ids )';...
                    ['$# 1 Line created: Line ' num2str(i+Curve-j-antallstringer*(l-1))]};               
            end
        end
    end
    
    Surfacenew = Surface + (stringeravstand*(antallstringer+1)/stiveravstand -1-antallstringer)*antallrammer;
    Curvenew = Curve + (stringeravstand*(antallstringer+1)/stiveravstand -1-antallstringer)*antallrammer;
    k = size(File,1);
    
    %Extrude the lines to new surfaces and give them properties
    File(1+k:k+6) = {['sgm_const_surface_extrude( "' num2str(Surface+1) '", "<0 ' num2str(avstandindreytre) ' 0>", 1., 0., "[0 0 0]", "Coord 0",  @'];...
        ['"Curve ' num2str(Curve+1) ':' num2str(Curvenew) '", sgm_sweep_surface_e_created_ids )'];...
        ['$# ' num2str(Curvenew-Curve) ' Surfaces Created: Surfaces ' num2str(Surface+1) ':' num2str(Surfacenew)];...
        'elementprops_create( "Girderstiffenerflange", 51, 25, 35, 11003, 1, 20, [13, 20, 36, 1004, @';...
        ' 11044, 11136, 11026, 11027, 1011, 11182], [5, 2, 1, 1, 4, 3, 4, 4, 1, 1], [ @';...
        ['"m:Steel", "", "' num2str(Girderstiverflenstykkelse) '", "", "", "", "", "", "", ""], "Surface' num2str(Surface+1) ':' num2str(Surfacenew) '" )']};
    
    k = k+6;
    
    % Add mesh seed to the edges
    for i = Surface+1:Surfacenew
        File(k+1:k+4)={['mesh_seed_create( "Surface ' num2str(i) '.2", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.1", 2, 0, 0., ' num2str(Meshsizetverrstringer) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.3", 2, 0, 0., ' num2str(Meshsizetverrstringer) ', 0. )'];...
            ['mesh_seed_create( "Surface ' num2str(i) '.4", 2, 0, 0., ' num2str(Meshsizetverrships) ', 0. )']};
        k = k+4;
    end
    
    % Mesh the surfaces
    File(k+1:k+5) = {'fem_create_mesh_surf_4( "IsoMesh", 49152,  @';...
        ['"Surface ' num2str(Surface+1) ':' num2str(Surfacenew) '" @'];...
        ', 1, ["0.2"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )'};
    k = k+5;
    
    %Create the LS-DYNA input file
    File(k+1:k+144) = {'ui_exec_function( "mesh_seed_display_mgr", "init" )';...
        'mesh_seed_display_mgr.erase(  )';...
        'REAL fem_equiv_all_x_equivtol_ab';...
        'INTEGER fem_equiv_all_x_segment';...
        'fem_equiv_all_group4( [" "], 0, "", 1, 1, 0.099999998, FALSE,  @';...
        'fem_equiv_all_x_equivtol_ab, fem_equiv_all_x_segment )';...
        'loadsbcs_eval_all(  )';...
        ['jobfile.open( "test", "ANALYZE NO JOBFILE" )'];...
        'jobfile.create_param( "version_opt", 0, 0., "LS-930", 4 )';...
        'jobfile.create_param( "sep_mesh", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "sep_mat", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "label_file", 0, 0., "*.sif", 4 )';...
        'jobfile.create_param( "list_file", 0, 0., "", 1 )';...
        'jobfile.create_param( "cpu_time_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "termination_step", 0, 0., "", 1 )';...
        'jobfile.create_param( "termination_time", 0, 0., "", 3 )';...
        'jobfile.create_param( "time_step_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "energy_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "mass_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "time_size_calc_basis", 0, 0., "Area/Edge", 4 )';...
        'jobfile.create_param( "initial_time_step", 0, 0., "", 3 )';...
        'jobfile.create_param( "step_scale_factor", 0, 0.89999998, "", 3 )';...
        'jobfile.create_param( "step_size_for_mass_scale", 0, 0., "", 3 )';...
        'jobfile.create_param( "shell_minimum_time_step", 0, 0., "", 3 )';...
        'jobfile.create_param( "load_curve_max_time_step", 0, 0., "", 1 )';...
        'jobfile.create_param( "erosion_flag", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "mass_scaling_first_step", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Number_of_cpus", 1, 0., "", 1 )';...
        'jobfile.create_param( "One_rhs_only", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Consistency_flg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "parallel_force", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "optmenu_relaxation", 0, 0., "None.Active", 4 )';...
        'jobfile.create_param( "geometry_file", 0, 0., "", 4 )';...
        'jobfile.create_param( "relax_termination_time", 0, 1E+030, "", 3 )';...
        'jobfile.create_param( "con_tolerance", 0, 0.001, "", 3 )';...
        'jobfile.create_param( "Iterations_checks", 250, 0., "", 1 )';...
        'jobfile.create_param( "auto_control", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "papadrakakis", 0, 0.039999999, "", 3 )';...
        'jobfile.create_param( "Relaxation_Factor", 0, 0.995, "", 3 )';...
        'jobfile.create_param( "Time_scale_Factor", 0, 0.89999998, "", 3 )';...
        'jobfile.create_param( "global_damping_curve", 0, 0., "f:ouatiafltlak", 4 )';...
        'jobfile.create_param( "system_damping_constant", 0, 0., "", 3 )';...
        'jobfile.create_param( "linear_viscosity_coefficient", 0, 0.059999999, "", 3 )';...
        'jobfile.create_param( "quadratic_viscosity_coefficient", 0, 1.5, "", 3 )';...
        'jobfile.create_param( "hourglass_viscosity_type", 0, 0., "LS_DYNA", 4 )';...
        'jobfile.create_param( "hourglass_viscosity_coefficient", 0, 0.1, "", 3 )';...
        'jobfile.create_param( "hourglass_energy_calc", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "stonewall_energy_diss", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "sliding_int_energy_diss", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "rayleigh_energy_diss", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Warning_Angle(iii)_warpage", 0, 20., "", 3 )';...
        'jobfile.create_param( "Treat_degen_quads_as_tris", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "shell_theory", 0, 0., "Belytschko", 4 )';...
        'jobfile.create_param( "warping_stiffness", 0, 0., "Belytschko-Tsay", 4 )';...
        'jobfile.create_param( "normal_update", 0, 0., "Each Cycle", 4 )';...
        'jobfile.create_param( "update_option", -1, 0., "", 1 )';...
        'jobfile.create_param( "update_shell_thick", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "plastics_method", 0, 0., "Secant", 4 )';...
        'jobfile.create_param( "consider_shell_thickness", 0, 0.,  @';...
        '"Thickness not considered", 4 )';...
        'jobfile.create_param( "check_penetration", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "max_check_multiplier", 0, 4., "", 3 )';...
        'jobfile.create_param( "step_bet_search", 10, 0., "", 1 )';...
        'jobfile.create_param( "search_old_surface", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "stiffness_value", 0, 0., "Min. of Master & Slave", 4 )';...
        'jobfile.create_param( "scale_interface", 0, 0.1, "", 3 )';...
        'jobfile.create_param( "scale_rigid_wall", 0, 0., "", 3 )';...
        'jobfile.create_param( "shell_thick_include", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "auto_reorientation", 0, 0., "Active for Automated", 4 )';...
        'jobfile.create_param( "control_subroutine", 0, 0., "", 1 )';...
        'jobfile.create_param( "friction_subroutine", 0, 0., "", 1 )';...
        'jobfile.create_param( "bin_state_time_int", 0, 0., "", 3 )';...
        'jobfile.create_param( "excl_damp_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "local_coord_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "one_plot_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "elim_rigid_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "output_hglass_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "output_time_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "num_beam_int_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "inc_surf_strain_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_tensor_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_strain_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_res_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_int_energy_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "num_var_sol_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "num_var_sh_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "num_sh_int_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "bin_history_time_int", 0, 0., "", 3 )';...
        'jobfile.create_param( "inc_nodes_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_beams_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_shell_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_solid_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_th_sh_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_extra_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Pri_During_Input", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "Echo_File_Options", 0, 0., "Suppress Both", 4 )';...
        'jobfile.create_param( "Velocities", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Update_Beam", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Interface_File", 0, 0., "", 3 )';...
        'jobfile.create_param( "Interface_File_Name", 0, 0., "INTFOR", 4 )';...
        'jobfile.create_param( "Time_Step", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "Time_Interval", 0, 0., "", 1 )';...
        'jobfile.create_param( "Tolerance_Status", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Tolerance_Value", 0, 0., "", 3 )';...
        'jobfile.create_param( "viewport", 0, 0., "default_viewport", 4 )';...
        'jobfile.create_param( "datbox_groupname", 0, 0., "default_group", 4 )';...
        'jobfile.create_param( "tranlational", 0, 0., "<0,0,0>", 4 )';...
        'jobfile.create_param( "rotational", 0, 0., "<0,0,0>", 4 )';...
        'jobfile.create_param( "loadcase_for_analysis", 0, 0., "Default", 4 )';...
        'jobfile.create_param( "set_node_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_beam_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_discrete_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_shell_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_solid_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_tshell_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "w_db_node", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_beam", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_discrete", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_shell", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_solid", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_tshell", 5, 0., "", 1 )';...
        'jobfile.create_param( "all_groups_in_db_id", 1, 0., "", 1 )';...
        'jobfile.create_param( "all_groups_in_db_id_1", 0, 0., "Girderstiffener", 101 )';...
        'jobfile.create_param( "setcard_fullmodel_group_id", 1, 0., "", 1 )';...
        'jobfile.create_param( "setcard_fullmodel_group_id_1", 0, 0., "Girderstiffener" @';...
        ', 101 )';...
        'jobfile.create_param( "factor_length_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "factor_on_time_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "factor_on_force_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "Wait_time_as_MADYMO_computes", 0, 0., "", 3 )';...
        'jobfile.create_param( "Flip_X_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Flip_Y_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Flip_Z_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Num_Dyna_steps_per_MADYMO_step", 1, 0., "", 1 )';...
        'jobfile.create_param( "filename_interface", 0, 0.,  @';...
        '"Default_interfacefile.isf1", 4 )';...
        'jobfile.create_param( "restart_label_file", 0, 0., "", 4 )';...
        'jobfile.create_param( "DTIwrite_switch_id", 0, 0., "End Deck", 4 )';...
        'jobfile.create_param( "DTIdirect_text_toggle_id", 0, 0., "OFF", 4 )';...
        'jobfile.close(  )';...
        'uil_file_close.go(  )';...
        'sys_library( "add", "lsdyna3d.plb" )';...
        ['lsdyna3d_spawn_generic( "pat3lsdyna", " -d C:\Users\Torstein\Documents\utenis\' filnavn '" // @'];...
        ['".db -j test", TRUE )']};
    
    k = k+144;
    
    %Create the file so it can be run in Patran
    fid = fopen('Input.ses.01', 'wt');
    fprintf(fid, '%s\n', File{:});
    fclose(fid);
   
    %Run Patran with the controll file
    dos('C:\MSC.Software\Patran_x64\20121\bin\patran.exe -b -sfp C:\Users\Torstein\Documents\utenis\input.ses.01');
    
    %Make the controll file for the making of the iceberg
    Fileis = {'$# Recorded by: Patran 2012 64-Bit';...
        'uil_file_new.go( "C:\MSC.Software\Patran_x64\20121/template.db",  @';...
        %Specify filename
        ['"C:\Users\Torstein\Documents\utenis\' filnavnIS '.db" )'];...
        '$# Question from application FILE';...
        %Overwrite if existing
        ['$#     Database C:\Users\Torstein\Documents\utenis\' filnavnIS '.db already exists.'];...
        '$# Do you wish to delete the existing database and create a new one ?';...
        '$? YES 36000002';...
        '$# Copying C:\MSC.Software\Patran_x64\20121/template.db to';...
        ['$# C:\Users\Torstein\Documents\utenis\' filnavnIS '.db'];...
        '$# Template copy complete.';...
        '$# Database version 3.12 created by Patran 2012 64-Bit successfully opened.';...
        ['$# Creating journal file C:\Users\Torstein\Documents\utenis\' filnavnIS '.db.jou at'];...
        '$# 28-Jan-13 17:37:19';...
        '$# Synchronizing the User Data Manager';...
        'set_current_dir( "C:\Users\Torstein\Documents\utenis" )';...
        '$# The current working directory has been changed to the database location';...
        '$# shown.';...
        '$# ';...
        '$#';...
        'uil_pref_analysis.set_analysis_preference( "LS-DYNA3D", "Structural", ".key",  @';...
        '"", "No Mapping" )';...
        '$#  Loading... ls_dyna3d_defn_dflt_tbs( LS-DYNA3D, Structural ));';...
        'ga_group_create( "Ice" )';...
        'ga_group_current_set( "Ice" )';...
        '$# Group "Ice" created.';...
        'material.create( "Analysis code ID", 10001, "Analysis type ID", 1, "Ice", 1, @';...
        ' "", "Isotropic", 1, "Directionality", 1, "Linearity", 1, "Homogeneous", 0,  @';...
        '"Linear Elastic", 1, "Model Options & IDs", ["Linear Elastic(MAT1)", "Solid",  @';...
        '"", "", ""], [11002, 11003, 0, 0, 0], "Active Flag", 1, "Create", 11,  @';...
        '"External Flag", FALSE, "Property IDs", ["Density", "Elastic Modulus",  @';...
        '"Poisson Ratio"], [16, 2, 5, 0], "Property Values", ["900", "9E11", "0.3",  @';...
        '""] )';...
        'STRING asm_create_line_xyz_created_ids[VIRTUAL]';...
        'material.create( "Analysis code ID", 10001, "Analysis type ID", 1, "Pusher", 2, @';...
        ' "", "Isotropic", 1, "Directionality", 1, "Linearity", 1, "Homogeneous", 0,  @';...
        '"Linear Elastic", 1, "Model Options & IDs", ["Linear Elastic(MAT1)", "Solid",  @';...
        '"", "", ""], [11002, 11003, 0, 0, 0], "Active Flag", 1, "Create", 11,  @';...
        '"External Flag", FALSE, "Property IDs", ["Density", "Elastic Modulus",  @';...
        '"Poisson Ratio"], [16, 2, 5, 0], "Property Values", ["7890", "9E11", "0.3",  @';...
        '""] )'};
    
    k = 40;
    
    %Finding the radius of the lower end of the cone
    x1 = Radius(kkk) * cos(Angle(iii)*pi/180);
    
    %Finding the radius of the topp of the cone
    x2 = x1+H*tan(Angle(iii)*pi/180);
    
    %Finding the height the lower end of the cone must be for the radius to
    % reach exatly zero heigth
    y = Radius(kkk)*sin(Angle(iii)*pi/180);
    
    % finding the radius of inner sylinder used to eliminate the zero
    % lenght edge of the mesh in the centre of the iceberg
    Curve = 0;
    if Radius(kkk)*cos(asin((y*3+floor((Radius(kkk)-y)/(Meshsize/3))*Meshsize)/(3*Radius(kkk))))>Radius(kkk)/500
        r=0.6*Radius(kkk)*cos(asin((y*3+floor((Radius(kkk)-y)/(Meshsize/3))*Meshsize)/(Radius(kkk)*3)));
    else
        r=0.6*Radius(kkk)*cos(asin((y*3+(floor((Radius(kkk)-y)/(Meshsize/3))-3)*Meshsize)/(Radius(kkk)*3)));
    end
    
    %Making a line for the ice pusher plate 
    Fileis(k+1:k+3) = {['asm_const_line_xyz( "' num2str(1) '", "<' num2str(x2-r) ' 0 0>", "[' num2str(r) ' ' num2str(H+Meshsize+Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
        'asm_create_line_xyz_created_ids )';...
        ['$# 1 Line created: Line ' num2str(Curve+1)]};
    %making a line for the top of the cone
    Fileis(k+4:k+6) = {['asm_const_line_xyz( "' num2str(2) '", "<' num2str(x2-r) ' 0 0>", "[' num2str(r) ' ' num2str(H+Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
        'asm_create_line_xyz_created_ids )';...
        ['$# 1 Line created: Line ' num2str(Curve+2)]};
    %Making a line for the lower end of the cone
    Fileis(k+7:k+9) = {['asm_const_line_xyz( "' num2str(3) '", "<' num2str(x1-r) ' 0 0>", "[' num2str(r) ' ' num2str(Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
        'asm_create_line_xyz_created_ids )';...
        ['$# 1 Line created: Line ' num2str(Curve+3)]};
    
    
    Curve = 3;
    k = k+9;
    
    %Making lines with spacing equal to the mesh size to discibe the shape
    %of the radius
    for i=1:floor((Radius(kkk)-y)/Meshsize)
        %Braking if the lines become to short
        if Radius(kkk)*cos(asin((y+i*Meshsize)/Radius(kkk)))<Radius(kkk)/500
            break
        end
        Fileis(k+1:k+3) = {['asm_const_line_xyz( "' num2str(Curve+1) '", "<' num2str(-r+Radius(kkk)*cos(asin((y+i*Meshsize)/Radius(kkk)))) ' 0 0>", "[' num2str(r) ' ' num2str(-i*Meshsize+Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
            'asm_create_line_xyz_created_ids )';...
            ['$# 1 Line created: Line ' num2str(Curve+1)]};
        k = k+3;
        Curve = Curve + 1;
    end
    
    %To get a sharper edge there is tried with lines with spacng equal to
    %a tird of the element size in the front
    for j=i*3+1:floor((Radius(kkk)-y)/(Meshsize/3))
        %Braking if the lines become to short
        if Radius(kkk)*cos(asin((y*3+j*Meshsize)/(3*Radius(kkk))))<Radius(kkk)/500
            break
        end
        Fileis(k+1:k+3) = {['asm_const_line_xyz( "' num2str(Curve+1) '", "<' num2str(-r+Radius(kkk)*cos(asin((y*3+j*Meshsize)/(Radius(kkk)*3)))) ' 0 0>", "[' num2str(r) ' ' num2str(-j*Meshsize/3+Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
            'asm_create_line_xyz_created_ids )';...
            ['$# 1 Line created: Line ' num2str(Curve+1)]};
        k = k+3;
        Curve = Curve + 1;
    end
    
    Yttre = Curve;
    
    %Make lines for internal surfaces
    for i=1:floor((Radius(kkk)-y)/Meshsize)
        if Radius(kkk)*cos(asin((y+i*Meshsize)/Radius(kkk)))<Radius(kkk)/500
            break
        end
        Fileis(k+1:k+3) = {['asm_const_line_xyz( "' num2str(Curve+1) '", "<' num2str(r) ' 0 0>", "[0 ' num2str(-i*Meshsize+Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
            'asm_create_line_xyz_created_ids )';...
            ['$# 1 Line created: Line ' num2str(Curve+1)]};
        k = k+3;
        Curve = Curve + 1;
        Hn = -i*Meshsize;
    end
    for j=i*3+1:floor((Radius(kkk)-y)/(Meshsize/3))
        if Radius(kkk)*cos(asin((y*3+j*Meshsize)/(3*Radius(kkk))))<Radius(kkk)/500
            break
        end
        Fileis(k+1:k+3) = {['asm_const_line_xyz( "' num2str(Curve+1) '", "<' num2str(r) ' 0 0>", "[0 ' num2str(-j*Meshsize/3+Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
            'asm_create_line_xyz_created_ids )';...
            ['$# 1 Line created: Line ' num2str(Curve+1)]};
        k = k+3;
        Curve = Curve + 1;
        Hn = -j*Meshsize/3;
    end
    
    %Creating inner lines for the cone and the pusher
    Fileis(k+1:k+3) = {['asm_const_line_xyz( "' num2str(Curve+1) '", "<' num2str(r) ' 0 0>", "[0 ' num2str(H+Meshsize+Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
        'asm_create_line_xyz_created_ids )';...
        ['$# 1 Line created: Line ' num2str(Curve+1)]};
    Fileis(k+4:k+6) = {['asm_const_line_xyz( "' num2str(Curve+2) '", "<' num2str(r) ' 0 0>", "[0 ' num2str(H+Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
        'asm_create_line_xyz_created_ids )';...
        ['$# 1 Line created: Line ' num2str(Curve+2)]};
    Fileis(k+7:k+9) = {['asm_const_line_xyz( "' num2str(Curve+3) '", "<' num2str(r) ' 0 0>", "[0 ' num2str(Radius(kkk)-y) ' 0]", "Coord 0",  @'];...
        'asm_create_line_xyz_created_ids )';...
        ['$# 1 Line created: Line ' num2str(Curve+3)]};
    
    
    Curve = Curve +3;
    k = k+9;
    
    %Extruding all the lines in a circle
    Fileis(k+1:k+3) = {'STRING sgm_sweep_surface_r_created_ids[VIRTUAL]';...
        ['sgm_const_surface_revolve( "1", "Coord 0.2", 360., 0., "Coord 0", "Curve 1:' num2str(Curve) '", @'];...
        'sgm_sweep_surface_r_created_ids )'};
    
    k = k+3;
    
    Surface = Curve;
    Solid = 0;
    
    %Creating solid from all external sufaces
    for i=1:Yttre-1
        Fileis(k+1:k+3) = {'STRING sgm_solid_2surface_created_ids[VIRTUAL]';...
            ['sgm_const_solid_2surface_v1( "' num2str(Solid+1) '", TRUE, "Surface ' num2str(i) '", "Surface ' num2str(i+1) '",  @'];...
            'sgm_solid_2surface_created_ids )'};
        Solid = Solid+1;
        k = k+3;
    end
    Indre = Solid+1;
    
    %Creating solids of all inner surfaces
    for i=Yttre+1:Surface-1
        Fileis(k+1:k+3) = {'STRING sgm_solid_2surface_created_ids[VIRTUAL]';...
            ['sgm_const_solid_2surface_v1( "' num2str(Solid+1) '", TRUE, "Surface ' num2str(i) '", "Surface ' num2str(i+1) '",  @'];...
            'sgm_solid_2surface_created_ids )'};
        Solid = Solid+1;
        k = k+3;
    end
    
    %Add properties to the pusher plate
    Fileis(k+1:k+2) = {'elementprops_create( "Pusher", 71, 25, 20, 11027, 1, 20, [13, 20, 1011, 11182], [ @';...
        ['5, 2, 1, 1], ["Pusher", "", "", ""], "Solid 1 ' num2str(Indre) '" )']};
    
    k = k+2;
    
    %Add properties to the ice
    Fileis(k+1:k+2) = {'elementprops_create( "Ice", 71, 25, 20, 11027, 1, 20, [13, 20, 1011, 11182], [ @';...
        ['5, 2, 1, 1], ["Ice", "", "", ""], "Solid 2:' num2str(Indre-1) ' ' num2str(Indre+1) ':' num2str(Solid) '" )']};
    
    k = k+2;
    
    %Mesh all external solids with iso mesh and sepperate the pusher plate
    %in a group
    Fileis(k+1:k+33) = {'INTEGER fem_create_mesh_solid_num_nodes';...
        'INTEGER fem_create_mesh_solid_num_elems';...
        'STRING fem_create_mesh_s_nodes_created[VIRTUAL]';...
        'STRING fem_create_mesh_s_elems_created[VIRTUAL]';...
        ['fem_create_mesh_sol_5( "Solid 2:' num2str(Indre-1) '", "IsoMesh", "Hex8", 1, ["' num2str(Meshsize) '"], 49152, 0,  @'];...
        '1, 0, 1, 0., "", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_solid_num_nodes, fem_create_mesh_solid_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )';...
        'fem_associate_elems_to_ep( "Ice", fem_create_mesh_s_elems_created,  @';...
        'fem_create_mesh_solid_num_elems )';...
        'mesh_seed_display_mgr.erase(  )';...
        'REAL fem_equiv_all_x_equivtol_ab';...
        'INTEGER fem_equiv_all_x_segment';...
        %Used eqivalence to connect nodes between solids
        'fem_equiv_all_group4( [" "], 0, "", 1, 1, 0.099999998, FALSE,  @';...
        'fem_equiv_all_x_equivtol_ab, fem_equiv_all_x_segment )';...
        'ga_group_create( "Pusher" )';...
        'ga_group_current_set( "Pusher" )';...
        '$# Group "Pusher" created.';...
        'INTEGER fem_create_mesh_solid_num_nodes';...
        'INTEGER fem_create_mesh_solid_num_elems';...
        'STRING fem_create_mesh_s_nodes_created[VIRTUAL]';...
        'STRING fem_create_mesh_s_elems_created[VIRTUAL]';...
        ['fem_create_mesh_sol_5( "Solid 1", "IsoMesh", "Hex8", 1, ["' num2str(Meshsize) '"], 49152, 0,  @'];...
        '1, 0, 1, 0., "", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_solid_num_nodes, fem_create_mesh_solid_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )';...
        'fem_associate_elems_to_ep( "Pusher", fem_create_mesh_s_elems_created,  @';...
        'fem_create_mesh_solid_num_elems )';...
        'mesh_seed_display_mgr.erase(  )';...
        'REAL fem_equiv_group_x_equivtol_ab';...
        'INTEGER fem_equiv_group_x_segment';...
        'fem_equiv_all_group4( ["Pusher"], 0, "", 1, 1, 0.099999998, FALSE,  @';...
        'fem_equiv_all_x_equivtol_ab, fem_equiv_all_x_segment )'};
    
    k = k+33;
    
    %Mesh all internal surfaces with paver and extrude into solid elements
    Fileis(k+1:k+26) = {'ga_group_current_set( "Ice" )';...
        'ui_exec_function( "mesh_seed_display_mgr", "init" )';...
        'INTEGER fem_create_mesh_surfa_num_nodes';...
        'INTEGER fem_create_mesh_surfa_num_elems';...
        'STRING fem_create_mesh_s_nodes_created[VIRTUAL]';...
        'STRING fem_create_mesh_s_elems_created[VIRTUAL]';...
        ['fem_create_mesh_surf_4( "Hybrid", 49680, "surface ' num2str(Surface-3) '", 4, ["' num2str(Meshsize/2) '", "0.1",  @'];...
        '"0.2", "1.0"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )';...
        '$? YES 2008020';...
        'INTEGER fem_sweep_elems_n_nodes_created';...
        'INTEGER fem_sweep_elems_n_elems_created';...
        'STRING fem_sweep_elems_ex_created_nids[VIRTUAL]';...
        'STRING fem_sweep_elems_ex_created_eids[VIRTUAL]';...
        ['fem_sweep_extrude_1( "#", "#", "Coord 0", "<0 1 0>", "' num2str(H-Hn) '", "0.0 ", 3,  @'];...
        ['"Surface ' num2str(Surface-3) '", 10, ["Bar2", "Quad4", "Quad8", "Quad12", "Wedge6", "Wedge15",  @'];...
        '"Wedge24", "Hex8", "Hex20", "Hex32", "", "", "", "", "", "", "", "", "", "",  @';...
        '"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" @';...
        ', "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",  @';...
        '"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" @';...
        ', "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",  @';...
        '"", ""], "Coord 0", "Coord 0", "Uniform: Element Length", ["3", "1.5",  @';...
        ['"0.1", "0.2", "' num2str(Meshsize) '", "2", "", "", "", ""], fem_sweep_elems_n_nodes_created,  @'];...
        'fem_sweep_elems_n_elems_created, fem_sweep_elems_ex_created_nids,  @';...
        'fem_sweep_elems_ex_created_eids )'};
    
    k = k+26;
    
    %Make LS-DYNA input file
    Fileis(k+1:k+144) = {'ui_exec_function( "mesh_seed_display_mgr", "init" )';...
        'mesh_seed_display_mgr.erase(  )';...
        'REAL fem_equiv_all_x_equivtol_ab';...
        'INTEGER fem_equiv_all_x_segment';...
        'fem_equiv_all_group4( [" "], 0, "", 1, 1, 0.099999998, FALSE,  @';...
        'fem_equiv_all_x_equivtol_ab, fem_equiv_all_x_segment )';...
        'loadsbcs_eval_all(  )';...
        ['jobfile.open( "testis", "ANALYZE NO JOBFILE" )'];...
        'jobfile.create_param( "version_opt", 0, 0., "LS-930", 4 )';...
        'jobfile.create_param( "sep_mesh", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "sep_mat", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "label_file", 0, 0., "*.sif", 4 )';...
        'jobfile.create_param( "list_file", 0, 0., "", 1 )';...
        'jobfile.create_param( "cpu_time_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "termination_step", 0, 0., "", 1 )';...
        'jobfile.create_param( "termination_time", 0, 0., "", 3 )';...
        'jobfile.create_param( "time_step_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "energy_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "mass_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "time_size_calc_basis", 0, 0., "Area/Edge", 4 )';...
        'jobfile.create_param( "initial_time_step", 0, 0., "", 3 )';...
        'jobfile.create_param( "step_scale_factor", 0, 0.89999998, "", 3 )';...
        'jobfile.create_param( "step_size_for_mass_scale", 0, 0., "", 3 )';...
        'jobfile.create_param( "shell_minimum_time_step", 0, 0., "", 3 )';...
        'jobfile.create_param( "load_curve_max_time_step", 0, 0., "", 1 )';...
        'jobfile.create_param( "erosion_flag", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "mass_scaling_first_step", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Number_of_cpus", 1, 0., "", 1 )';...
        'jobfile.create_param( "One_rhs_only", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Consistency_flg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "parallel_force", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "optmenu_relaxation", 0, 0., "None.Active", 4 )';...
        'jobfile.create_param( "geometry_file", 0, 0., "", 4 )';...
        'jobfile.create_param( "relax_termination_time", 0, 1E+030, "", 3 )';...
        'jobfile.create_param( "con_tolerance", 0, 0.001, "", 3 )';...
        'jobfile.create_param( "Iterations_checks", 250, 0., "", 1 )';...
        'jobfile.create_param( "auto_control", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "papadrakakis", 0, 0.039999999, "", 3 )';...
        'jobfile.create_param( "Relaxation_Factor", 0, 0.995, "", 3 )';...
        'jobfile.create_param( "Time_scale_Factor", 0, 0.89999998, "", 3 )';...
        'jobfile.create_param( "global_damping_curve", 0, 0., "f:ouatiafltlak", 4 )';...
        'jobfile.create_param( "system_damping_constant", 0, 0., "", 3 )';...
        'jobfile.create_param( "linear_viscosity_coefficient", 0, 0.059999999, "", 3 )';...
        'jobfile.create_param( "quadratic_viscosity_coefficient", 0, 1.5, "", 3 )';...
        'jobfile.create_param( "hourglass_viscosity_type", 0, 0., "LS_DYNA", 4 )';...
        'jobfile.create_param( "hourglass_viscosity_coefficient", 0, 0.1, "", 3 )';...
        'jobfile.create_param( "hourglass_energy_calc", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "stonewall_energy_diss", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "sliding_int_energy_diss", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "rayleigh_energy_diss", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Warning_Angle(iii)_warpage", 0, 20., "", 3 )';...
        'jobfile.create_param( "Treat_degen_quads_as_tris", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "shell_theory", 0, 0., "Belytschko", 4 )';...
        'jobfile.create_param( "warping_stiffness", 0, 0., "Belytschko-Tsay", 4 )';...
        'jobfile.create_param( "normal_update", 0, 0., "Each Cycle", 4 )';...
        'jobfile.create_param( "update_option", -1, 0., "", 1 )';...
        'jobfile.create_param( "update_shell_thick", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "plastics_method", 0, 0., "Secant", 4 )';...
        'jobfile.create_param( "consider_shell_thickness", 0, 0.,  @';...
        '"Thickness not considered", 4 )';...
        'jobfile.create_param( "check_penetration", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "max_check_multiplier", 0, 4., "", 3 )';...
        'jobfile.create_param( "step_bet_search", 10, 0., "", 1 )';...
        'jobfile.create_param( "search_old_surface", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "stiffness_value", 0, 0., "Min. of Master & Slave", 4 )';...
        'jobfile.create_param( "scale_interface", 0, 0.1, "", 3 )';...
        'jobfile.create_param( "scale_rigid_wall", 0, 0., "", 3 )';...
        'jobfile.create_param( "shell_thick_include", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "auto_reorientation", 0, 0., "Active for Automated", 4 )';...
        'jobfile.create_param( "control_subroutine", 0, 0., "", 1 )';...
        'jobfile.create_param( "friction_subroutine", 0, 0., "", 1 )';...
        'jobfile.create_param( "bin_state_time_int", 0, 0., "", 3 )';...
        'jobfile.create_param( "excl_damp_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "local_coord_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "one_plot_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "elim_rigid_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "output_hglass_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "output_time_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "num_beam_int_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "inc_surf_strain_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_tensor_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_strain_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_res_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_int_energy_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "num_var_sol_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "num_var_sh_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "num_sh_int_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "bin_history_time_int", 0, 0., "", 3 )';...
        'jobfile.create_param( "inc_nodes_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_beams_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_shell_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_solid_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_th_sh_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_extra_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Pri_During_Input", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "Echo_File_Options", 0, 0., "Suppress Both", 4 )';...
        'jobfile.create_param( "Velocities", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Update_Beam", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Interface_File", 0, 0., "", 3 )';...
        'jobfile.create_param( "Interface_File_Name", 0, 0., "INTFOR", 4 )';...
        'jobfile.create_param( "Time_Step", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "Time_Interval", 0, 0., "", 1 )';...
        'jobfile.create_param( "Tolerance_Status", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Tolerance_Value", 0, 0., "", 3 )';...
        'jobfile.create_param( "viewport", 0, 0., "default_viewport", 4 )';...
        'jobfile.create_param( "datbox_groupname", 0, 0., "default_group", 4 )';...
        'jobfile.create_param( "tranlational", 0, 0., "<0,0,0>", 4 )';...
        'jobfile.create_param( "rotational", 0, 0., "<0,0,0>", 4 )';...
        'jobfile.create_param( "loadcase_for_analysis", 0, 0., "Default", 4 )';...
        'jobfile.create_param( "set_node_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_beam_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_discrete_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_shell_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_solid_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_tshell_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "w_db_node", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_beam", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_discrete", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_shell", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_solid", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_tshell", 5, 0., "", 1 )';...
        'jobfile.create_param( "all_groups_in_db_id", 1, 0., "", 1 )';...
        'jobfile.create_param( "all_groups_in_db_id_1", 0, 0., "Girderstiffener", 101 )';...
        'jobfile.create_param( "setcard_fullmodel_group_id", 1, 0., "", 1 )';...
        'jobfile.create_param( "setcard_fullmodel_group_id_1", 0, 0., "Girderstiffener" @';...
        ', 101 )';...
        'jobfile.create_param( "factor_length_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "factor_on_time_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "factor_on_force_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "Wait_time_as_MADYMO_computes", 0, 0., "", 3 )';...
        'jobfile.create_param( "Flip_X_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Flip_Y_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Flip_Z_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Num_Dyna_steps_per_MADYMO_step", 1, 0., "", 1 )';...
        'jobfile.create_param( "filename_interface", 0, 0.,  @';...
        '"Default_interfacefile.isf1", 4 )';...
        'jobfile.create_param( "restart_label_file", 0, 0., "", 4 )';...
        'jobfile.create_param( "DTIwrite_switch_id", 0, 0., "End Deck", 4 )';...
        'jobfile.create_param( "DTIdirect_text_toggle_id", 0, 0., "OFF", 4 )';...
        'jobfile.close(  )';...
        'uil_file_close.go(  )';...
        'sys_library( "add", "lsdyna3d.plb" )';...
        ['lsdyna3d_spawn_generic( "pat3lsdyna", " -d C:\Users\Torstein\Documents\utenis\' filnavnIS '" // @'];...
        ['".db -j testis", TRUE )']};
    
    k = k+144;
    
    %Save controll file
    fid = fopen('Inputis.ses.01', 'wt');
    fprintf(fid, '%s\n', Fileis{:});
    fclose(fid);
    
    %Run controll file in patran
    dos('C:\MSC.Software\Patran_x64\20121\bin\patran.exe -b -sfp C:\Users\Torstein\Documents\utenis\Inputis.ses.01');
    analysis = {};
    
    cd('C:\Users\Torstein\Documents\utenis\')
    
    %Open LS-DYNA iceberg inputfile
    fid = fopen('testis.key');
    w=0 ;
    
    %Put the inputfile into a matrix
    while 1
        w = w+1;
        B=fgets(fid);
        analysis(w)={B};
        %Break at the end of the file
        if B==-1
            break
        end
    end
    fclose(fid);
    Z = 1;
    %Scan for "PUSHER"
    GG = [80 117 115 104 101 114 13 10];
    for i=1:size(analysis,2)
        if size(analysis{i},2)==8
            Z = (double(analysis{i}) - GG);
            if Z(:) == 0
                zz = i;
                break
            end
        end
    end
    
    %Scan for "ice"
    GG = [36 13 10];
    for i=zz+1:size(analysis,2)
        if size(analysis{i},2)==3
            Z = (double(analysis{i}) - GG);
            if Z(:) == 0
                xx = i;
                break
            end
        end
    end
    
    %Reads the first and the last element numberof the pusher plate by use
    %of the line number given from the search above
    Element_number = strread(analysis{xx-1});
    Element_number_lastpusher = Element_number(1);
    Element_number = strread(analysis{zz+5});
    Element_number_firstpusher = Element_number(1);
    %Finds the last element of the ice
    Element_number = strread(analysis{zz-2});
    Element_number_lastice = Element_number(1);
    
    %Making a new controll file to give properties to the elements and mesh
    %the rest of the internal surfaces
    FileIS2 ={['uil_file_open.go( "C:\Users\Torstein\Documents\utenis\' filnavnIS '.db" )'];...
        'set_current_dir( "C:\Users\Torstein\Documents\uttenis" )';...
        'ga_group_current_set( "Ice" )';...
        'elementprops_create( "Ice", 71, 25, 20, 11027, 1, 20, [13, 20, 1011, 11182], [ @';...
        ['5, 2, 1, 1], ["m:Ice", "", "", ""], "Element 1:' num2str(Element_number_lastice) ' ' num2str(Element_number_lastpusher+1) ':" // @'];...
        '"#" )';...
        '$? YES 29002006';...
        'ga_group_current_set( "Pusher" )';...
        'ui_exec_function( "mesh_seed_display_mgr", "init" )';...
        'INTEGER fem_create_mesh_surfa_num_nodes';...
        'INTEGER fem_create_mesh_surfa_num_elems';...
        'STRING fem_create_mesh_s_nodes_created[VIRTUAL]';...
        'STRING fem_create_mesh_s_elems_created[VIRTUAL]';...
        ['fem_create_mesh_surf_4( "Hybrid", 49680, "surface ' num2str(Surface-1) '", 4, ["' num2str(Meshsize/2) '", "0.1",  @'];...
        '"0.2", "1.0"], "Quad4", "#", "#", "Coord 0", "Coord 0",  @';...
        'fem_create_mesh_surfa_num_nodes, fem_create_mesh_surfa_num_elems,  @';...
        'fem_create_mesh_s_nodes_created, fem_create_mesh_s_elems_created )';...
        '$? YES 2008020';...
        'INTEGER fem_sweep_elems_n_nodes_created';...
        'INTEGER fem_sweep_elems_n_elems_created';...
        'STRING fem_sweep_elems_ex_created_nids[VIRTUAL]';...
        'STRING fem_sweep_elems_ex_created_eids[VIRTUAL]';...
        ['fem_sweep_extrude_1( "#", "#", "Coord 0", "<0 1 0>", "' num2str(Meshsize) '", "0.0 ", 3,  @'];...
        ['"Surface ' num2str(Surface-1) '", 10, ["Bar2", "Quad4", "Quad8", "Quad12", "Wedge6", "Wedge15",  @'];...
        '"Wedge24", "Hex8", "Hex20", "Hex32", "", "", "", "", "", "", "", "", "", "",  @';...
        '"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" @';...
        ', "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",  @';...
        '"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" @';...
        ', "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",  @';...
        '"", ""], "Coord 0", "Coord 0", "Uniform: Element Length", ["3", "1.5",  @';...
        ['"0.1", "0.2", "' num2str(Meshsize) '", "2", "", "", "", ""], fem_sweep_elems_n_nodes_created,  @'];...
        'fem_sweep_elems_n_elems_created, fem_sweep_elems_ex_created_nids,  @';...
        'fem_sweep_elems_ex_created_eids )';...
        'ui_exec_function( "mesh_seed_display_mgr", "init" )';...
        'mesh_seed_display_mgr.erase(  )';...
        'REAL fem_equiv_all_x_equivtol_ab';...
        'INTEGER fem_equiv_all_x_segment';...
        'fem_equiv_all_group4( [" "], 0, "", 1, 1, 0.099999998, FALSE,  @';...
        'fem_equiv_all_x_equivtol_ab, fem_equiv_all_x_segment )';...
        'loadsbcs_eval_all(  )';...
        ['jobfile.open( "testis", "ANALYZE NO JOBFILE" )'];...
        '$? YES 6016027';...
        'jobfile.create_param( "version_opt", 0, 0., "LS-930", 4 )';...
        'jobfile.create_param( "sep_mesh", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "sep_mat", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "label_file", 0, 0., "*.sif", 4 )';...
        'jobfile.create_param( "list_file", 0, 0., "", 1 )';...
        'jobfile.create_param( "cpu_time_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "termination_step", 0, 0., "", 1 )';...
        'jobfile.create_param( "termination_time", 0, 0., "", 3 )';...
        'jobfile.create_param( "time_step_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "energy_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "mass_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "time_size_calc_basis", 0, 0., "Area/Edge", 4 )';...
        'jobfile.create_param( "initial_time_step", 0, 0., "", 3 )';...
        'jobfile.create_param( "step_scale_factor", 0, 0.89999998, "", 3 )';...
        'jobfile.create_param( "step_size_for_mass_scale", 0, 0., "", 3 )';...
        'jobfile.create_param( "shell_minimum_time_step", 0, 0., "", 3 )';...
        'jobfile.create_param( "load_curve_max_time_step", 0, 0., "", 1 )';...
        'jobfile.create_param( "erosion_flag", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "mass_scaling_first_step", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Number_of_cpus", 1, 0., "", 1 )';...
        'jobfile.create_param( "One_rhs_only", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Consistency_flg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "parallel_force", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "optmenu_relaxation", 0, 0., "None.Active", 4 )';...
        'jobfile.create_param( "geometry_file", 0, 0., "", 4 )';...
        'jobfile.create_param( "relax_termination_time", 0, 1E+030, "", 3 )';...
        'jobfile.create_param( "con_tolerance", 0, 0.001, "", 3 )';...
        'jobfile.create_param( "Iterations_checks", 250, 0., "", 1 )';...
        'jobfile.create_param( "auto_control", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "papadrakakis", 0, 0.039999999, "", 3 )';...
        'jobfile.create_param( "Relaxation_Factor", 0, 0.995, "", 3 )';...
        'jobfile.create_param( "Time_scale_Factor", 0, 0.89999998, "", 3 )';...
        'jobfile.create_param( "global_damping_curve", 0, 0., "f:ouatiafltlak", 4 )';...
        'jobfile.create_param( "system_damping_constant", 0, 0., "", 3 )';...
        'jobfile.create_param( "linear_viscosity_coefficient", 0, 0.059999999, "", 3 )';...
        'jobfile.create_param( "quadratic_viscosity_coefficient", 0, 1.5, "", 3 )';...
        'jobfile.create_param( "hourglass_viscosity_type", 0, 0., "LS_DYNA", 4 )';...
        'jobfile.create_param( "hourglass_viscosity_coefficient", 0, 0.1, "", 3 )';...
        'jobfile.create_param( "hourglass_energy_calc", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "stonewall_energy_diss", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "sliding_int_energy_diss", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "rayleigh_energy_diss", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Warning_Angle(iii)_warpage", 0, 20., "", 3 )';...
        'jobfile.create_param( "Treat_degen_quads_as_tris", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "shell_theory", 0, 0., "Belytschko", 4 )';...
        'jobfile.create_param( "warping_stiffness", 0, 0., "Belytschko-Tsay", 4 )';...
        'jobfile.create_param( "normal_update", 0, 0., "Each Cycle", 4 )';...
        'jobfile.create_param( "update_option", -1, 0., "", 1 )';...
        'jobfile.create_param( "update_shell_thick", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "plastics_method", 0, 0., "Secant", 4 )';...
        'jobfile.create_param( "consider_shell_thickness", 0, 0.,  @';...
        '"Thickness not considered", 4 )';...
        'jobfile.create_param( "check_penetration", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "max_check_multiplier", 0, 4., "", 3 )';...
        'jobfile.create_param( "step_bet_search", 10, 0., "", 1 )';...
        'jobfile.create_param( "search_old_surface", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "stiffness_value", 0, 0., "Min. of Master & Slave", 4 )';...
        'jobfile.create_param( "scale_interface", 0, 0.1, "", 3 )';...
        'jobfile.create_param( "scale_rigid_wall", 0, 0., "", 3 )';...
        'jobfile.create_param( "shell_thick_include", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "auto_reorientation", 0, 0., "Active for Automated", 4 )';...
        'jobfile.create_param( "control_subroutine", 0, 0., "", 1 )';...
        'jobfile.create_param( "friction_subroutine", 0, 0., "", 1 )';...
        'jobfile.create_param( "bin_state_time_int", 0, 0., "", 3 )';...
        'jobfile.create_param( "excl_damp_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "local_coord_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "one_plot_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "elim_rigid_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "output_hglass_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "output_time_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "num_beam_int_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "inc_surf_strain_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_tensor_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_strain_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_res_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_int_energy_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "num_var_sol_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "num_var_sh_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "num_sh_int_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "bin_history_time_int", 0, 0., "", 3 )';...
        'jobfile.create_param( "inc_nodes_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_beams_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_shell_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_solid_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_th_sh_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_extra_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Pri_During_Input", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "Echo_File_Options", 0, 0., "Suppress Both", 4 )';...
        'jobfile.create_param( "Velocities", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Update_Beam", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Interface_File", 0, 0., "", 3 )';...
        'jobfile.create_param( "Interface_File_Name", 0, 0., "INTFOR", 4 )';...
        'jobfile.create_param( "Time_Step", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "Time_Interval", 0, 0., "", 1 )';...
        'jobfile.create_param( "Tolerance_Status", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Tolerance_Value", 0, 0., "", 3 )';...
        'jobfile.create_param( "viewport", 0, 0., "default_viewport", 4 )';...
        'jobfile.create_param( "datbox_groupname", 0, 0., "default_group", 4 )';...
        'jobfile.create_param( "tranlational", 0, 0., "<0,0,0>", 4 )';...
        'jobfile.create_param( "rotational", 0, 0., "<0,0,0>", 4 )';...
        'jobfile.create_param( "loadcase_for_analysis", 0, 0., "Default", 4 )';...
        'jobfile.create_param( "set_node_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_beam_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_discrete_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_shell_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_solid_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_tshell_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "w_db_node", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_beam", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_discrete", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_shell", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_solid", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_tshell", 5, 0., "", 1 )';...
        'jobfile.create_param( "all_groups_in_db_id", 1, 0., "", 1 )';...
        'jobfile.create_param( "all_groups_in_db_id_1", 0, 0., "Girderstiffener", 101 )';...
        'jobfile.create_param( "setcard_fullmodel_group_id", 1, 0., "", 1 )';...
        'jobfile.create_param( "setcard_fullmodel_group_id_1", 0, 0., "Girderstiffener" @';...
        ', 101 )';...
        'jobfile.create_param( "factor_length_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "factor_on_time_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "factor_on_force_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "Wait_time_as_MADYMO_computes", 0, 0., "", 3 )';...
        'jobfile.create_param( "Flip_X_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Flip_Y_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Flip_Z_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Num_Dyna_steps_per_MADYMO_step", 1, 0., "", 1 )';...
        'jobfile.create_param( "filename_interface", 0, 0.,  @';...
        '"Default_interfacefile.isf1", 4 )';...
        'jobfile.create_param( "restart_label_file", 0, 0., "", 4 )';...
        'jobfile.create_param( "DTIwrite_switch_id", 0, 0., "End Deck", 4 )';...
        'jobfile.create_param( "DTIdirect_text_toggle_id", 0, 0., "OFF", 4 )';...
        'jobfile.close(  )';...
        'uil_file_close.go(  )';...
        'sys_library( "add", "lsdyna3d.plb" )';...
        ['lsdyna3d_spawn_generic( "pat3lsdyna", " -d C:\Users\Torstein\Documents\utenis\' filnavnIS '" // @'];...
        ['".db -j testis", TRUE )']};
    
    %Save controll file
    fid = fopen('Inputis.ses.01', 'wt');
    fprintf(fid, '%s\n', FileIS2{:});
    fclose(fid);
    
    %Run controll file in patran
    dos('C:\MSC.Software\Patran_x64\20121\bin\patran.exe -b -sfp C:\Users\Torstein\Documents\utenis\Inputis.ses.01');
    
    %open the input file
    analysis = {};
    fid = fopen('testis.key');
    w=0 ;
    %Add to a matrix
    while 1
        w = w+1;
        B=fgets(fid);
        analysis(w)={B};
        if B==-1
            break
        end
    end
    fclose(fid);
    Z = 0;
    GG = [80 117 115 104 101 114 13 10];
    for i=1:size(analysis,2)
        if size(analysis{i},2)==8
            Z = (double(analysis{i}) - GG);
            if Z(:)==0
                zz = i;
                break
            end
        end
    end
    
    Z=0;
    GG = [36 13 10];
    for i=zz+1:size(analysis,2)
        if size(analysis{i},2)==3
            Z = (double(analysis{i}) - GG);
            if Z(:)==0
                xx = i;
                break
            end
        end
    end
    
    Element_number = strread(analysis{zz-2});
    Element_number_lastice = Element_number(1);
    
    %Add properties to the last elements of the pusher plate
    FileIS2 ={['uil_file_open.go( "C:\Users\Torstein\Documents\' filnavnIS '.db" )'];...
        'set_current_dir( "C:\Users\Torstein\Documents\utenis" )';...
        'ga_group_current_set( "Pusher" )';...
        'elementprops_create( "Pusher", 71, 25, 20, 11027, 1, 20, [13, 20, 1011, 11182], [ @';...
        ['5, 2, 1, 1], ["m:Pusher", "", "", ""], "Element ' num2str(Element_number_firstpusher) ':' num2str(Element_number_lastpusher) ' ' num2str(Element_number_lastice+1) ':" // @'];...
        '"#" )';...
        '$? YES 29002006 ';...
        'jobfile.open( "testis", "ANALYZE NO JOBFILE" )';...
        '$? YES 6016027';...
        'jobfile.create_param( "version_opt", 0, 0., "LS-930", 4 )';...
        'jobfile.create_param( "sep_mesh", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "sep_mat", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "label_file", 0, 0., "*.sif", 4 )';...
        'jobfile.create_param( "list_file", 0, 0., "", 1 )';...
        'jobfile.create_param( "cpu_time_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "termination_step", 0, 0., "", 1 )';...
        'jobfile.create_param( "termination_time", 0, 0., "", 3 )';...
        'jobfile.create_param( "time_step_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "energy_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "mass_ratio_limit", 0, 0., "", 3 )';...
        'jobfile.create_param( "time_size_calc_basis", 0, 0., "Area/Edge", 4 )';...
        'jobfile.create_param( "initial_time_step", 0, 0., "", 3 )';...
        'jobfile.create_param( "step_scale_factor", 0, 0.89999998, "", 3 )';...
        'jobfile.create_param( "step_size_for_mass_scale", 0, 0., "", 3 )';...
        'jobfile.create_param( "shell_minimum_time_step", 0, 0., "", 3 )';...
        'jobfile.create_param( "load_curve_max_time_step", 0, 0., "", 1 )';...
        'jobfile.create_param( "erosion_flag", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "mass_scaling_first_step", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Number_of_cpus", 1, 0., "", 1 )';...
        'jobfile.create_param( "One_rhs_only", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Consistency_flg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "parallel_force", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "optmenu_relaxation", 0, 0., "None.Active", 4 )';...
        'jobfile.create_param( "geometry_file", 0, 0., "", 4 )';...
        'jobfile.create_param( "relax_termination_time", 0, 1E+030, "", 3 )';...
        'jobfile.create_param( "con_tolerance", 0, 0.001, "", 3 )';...
        'jobfile.create_param( "Iterations_checks", 250, 0., "", 1 )';...
        'jobfile.create_param( "auto_control", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "papadrakakis", 0, 0.039999999, "", 3 )';...
        'jobfile.create_param( "Relaxation_Factor", 0, 0.995, "", 3 )';...
        'jobfile.create_param( "Time_scale_Factor", 0, 0.89999998, "", 3 )';...
        'jobfile.create_param( "global_damping_curve", 0, 0., "f:ouatiafltlak", 4 )';...
        'jobfile.create_param( "system_damping_constant", 0, 0., "", 3 )';...
        'jobfile.create_param( "linear_viscosity_coefficient", 0, 0.059999999, "", 3 )';...
        'jobfile.create_param( "quadratic_viscosity_coefficient", 0, 1.5, "", 3 )';...
        'jobfile.create_param( "hourglass_viscosity_type", 0, 0., "LS_DYNA", 4 )';...
        'jobfile.create_param( "hourglass_viscosity_coefficient", 0, 0.1, "", 3 )';...
        'jobfile.create_param( "hourglass_energy_calc", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "stonewall_energy_diss", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "sliding_int_energy_diss", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "rayleigh_energy_diss", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Warning_Angle(iii)_warpage", 0, 20., "", 3 )';...
        'jobfile.create_param( "Treat_degen_quads_as_tris", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "shell_theory", 0, 0., "Belytschko", 4 )';...
        'jobfile.create_param( "warping_stiffness", 0, 0., "Belytschko-Tsay", 4 )';...
        'jobfile.create_param( "normal_update", 0, 0., "Each Cycle", 4 )';...
        'jobfile.create_param( "update_option", -1, 0., "", 1 )';...
        'jobfile.create_param( "update_shell_thick", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "plastics_method", 0, 0., "Secant", 4 )';...
        'jobfile.create_param( "consider_shell_thickness", 0, 0.,  @';...
        '"Thickness not considered", 4 )';...
        'jobfile.create_param( "check_penetration", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "max_check_multiplier", 0, 4., "", 3 )';...
        'jobfile.create_param( "step_bet_search", 10, 0., "", 1 )';...
        'jobfile.create_param( "search_old_surface", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "stiffness_value", 0, 0., "Min. of Master & Slave", 4 )';...
        'jobfile.create_param( "scale_interface", 0, 0.1, "", 3 )';...
        'jobfile.create_param( "scale_rigid_wall", 0, 0., "", 3 )';...
        'jobfile.create_param( "shell_thick_include", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "auto_reorientation", 0, 0., "Active for Automated", 4 )';...
        'jobfile.create_param( "control_subroutine", 0, 0., "", 1 )';...
        'jobfile.create_param( "friction_subroutine", 0, 0., "", 1 )';...
        'jobfile.create_param( "bin_state_time_int", 0, 0., "", 3 )';...
        'jobfile.create_param( "excl_damp_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "local_coord_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "one_plot_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "elim_rigid_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "output_hglass_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "output_time_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "num_beam_int_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "inc_surf_strain_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_tensor_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_strain_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_sh_res_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "excl_int_energy_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "num_var_sol_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "num_var_sh_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "num_sh_int_dbox", 0, 0., "", 1 )';...
        'jobfile.create_param( "bin_history_time_int", 0, 0., "", 3 )';...
        'jobfile.create_param( "inc_nodes_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_beams_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_shell_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_solid_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_th_sh_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "inc_extra_tg", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Pri_During_Input", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "Echo_File_Options", 0, 0., "Suppress Both", 4 )';...
        'jobfile.create_param( "Velocities", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Update_Beam", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Interface_File", 0, 0., "", 3 )';...
        'jobfile.create_param( "Interface_File_Name", 0, 0., "INTFOR", 4 )';...
        'jobfile.create_param( "Time_Step", 0, 0., "ON", 4 )';...
        'jobfile.create_param( "Time_Interval", 0, 0., "", 1 )';...
        'jobfile.create_param( "Tolerance_Status", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Tolerance_Value", 0, 0., "", 3 )';...
        'jobfile.create_param( "viewport", 0, 0., "default_viewport", 4 )';...
        'jobfile.create_param( "datbox_groupname", 0, 0., "default_group", 4 )';...
        'jobfile.create_param( "tranlational", 0, 0., "<0,0,0>", 4 )';...
        'jobfile.create_param( "rotational", 0, 0., "<0,0,0>", 4 )';...
        'jobfile.create_param( "loadcase_for_analysis", 0, 0., "Default", 4 )';...
        'jobfile.create_param( "set_node_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_beam_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_discrete_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_shell_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_solid_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "set_tshell_opt", 0, 0., "YES", 4 )';...
        'jobfile.create_param( "w_db_node", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_beam", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_discrete", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_shell", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_solid", 5, 0., "", 1 )';...
        'jobfile.create_param( "w_db_tshell", 5, 0., "", 1 )';...
        'jobfile.create_param( "all_groups_in_db_id", 1, 0., "", 1 )';...
        'jobfile.create_param( "all_groups_in_db_id_1", 0, 0., "Girderstiffener", 101 )';...
        'jobfile.create_param( "setcard_fullmodel_group_id", 1, 0., "", 1 )';...
        'jobfile.create_param( "setcard_fullmodel_group_id_1", 0, 0., "Girderstiffener" @';...
        ', 101 )';...
        'jobfile.create_param( "factor_length_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "factor_on_time_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "factor_on_force_from_MADYMO", 0, 1., "", 3 )';...
        'jobfile.create_param( "Wait_time_as_MADYMO_computes", 0, 0., "", 3 )';...
        'jobfile.create_param( "Flip_X_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Flip_Y_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Flip_Z_coord_of_MADYMO", 0, 0., "OFF", 4 )';...
        'jobfile.create_param( "Num_Dyna_steps_per_MADYMO_step", 1, 0., "", 1 )';...
        'jobfile.create_param( "filename_interface", 0, 0.,  @';...
        '"Default_interfacefile.isf1", 4 )';...
        'jobfile.create_param( "restart_label_file", 0, 0., "", 4 )';...
        'jobfile.create_param( "DTIwrite_switch_id", 0, 0., "End Deck", 4 )';...
        'jobfile.create_param( "DTIdirect_text_toggle_id", 0, 0., "OFF", 4 )';...
        'jobfile.close(  )';...
        'uil_file_close.go(  )';...
        'sys_library( "add", "lsdyna3d.plb" )';...
        ['lsdyna3d_spawn_generic( "pat3lsdyna", " -d C:\Users\Torstein\Documents\utenis\' filnavnIS '" // @'];...
        ['".db -j testis", TRUE )']};
    
    %Save controll file
    fid = fopen('Inputis.ses.01', 'wt');
    fprintf(fid, '%s\n', FileIS2{:});
    fclose(fid);
    
    %Run the controll file
    dos('C:\MSC.Software\Patran_x64\20121\bin\patran.exe -b -sfp C:\Users\Torstein\Documents\utenis\Inputis.ses.01');
    
    %Run a controllfile in prepost to define all variables in there
    dos('C:\LS-PrePost\3.2-X64\lsprepost c=C:\Users\Torstein\Documents\utenis\lspostIS.cfile -nographics')
    cd('C:\Users\Torstein\Documents\');
    
    %Add a new begining to the file so it fit with the older version of
    %LS-DYNA that is on the server
    fid=fopen('begynnelse.k');
    v = 0;
    while 1
        v = v+1;
        B = fgets(fid);
        analysis(v) = {B};
        if B == -1
            break
        end
    end
    
    fclose(fid);
    cd('C:\Users\Torstein\Documents\utenis\');
    fid=fopen('testIS.k');
    %Remove the old begining
    for i=1:28
        B=fgets(fid);
    end
    %Add the rest of the file
    while 1
        v = v+1;
        B=fgets(fid);
        analysis(v)={B};
        if B==-1
            break
        end
    end
    z=0;
    
    %Search for some strange sign prepost add to the material model and
    %remove them so prepost and LS-DYNA can read the material model
    GG = [42 77 65 84 95 85 83 69 82 95 68 69 70 73 78 69 68 95 77 65 84 69 82 73 65 76 95 77 79 68 69 76 83 95 84 73 84 76 69 10];
    for i=1:size(analysis,2)
        if size(analysis{i},2)==40
            Z = (double(analysis{i}) - GG);
            if Z(:)==0
                z = z+1;
                zz(z) =i;
            end
        end
    end
    
    analysis{zz(1)+11}=[];
    analysis{zz(1)+10}=[];
    analysis{zz(1)+9}=['1         0.01' char(10)];
    analysis{zz(2)+11}=[];
    analysis{zz(2)+10}=[];
    analysis{zz(2)+9}=['0.7       1' char(10)];
    %close the file
    fclose(fid);
    
    %Save the file with correct name
    [fid, message] = fopen([filnavn '.k'], 'wt');
    for i=1:size(analysis,2)
        fprintf(fid, '%s', analysis{i});
    end
    
    fclose(fid);
    
    %Chack and remove earlier copy of the file
    winscp = ['c:\WinSCP\winscp.com - batch /console /command "open *******:*********@129.241.140.53" "cd analyser" "rm ""/home/torstemy/analyser/utenis2/' filnavn '.k""" "exit"'];
    dos(winscp)
    
    %Transfer the input file
    winscp = ['c:\WinSCP\winscp.com - batch /console /command "open *******:*********@129.241.140.53" "cd analyser" "put ""C:\Users\Torstein\Documents\utenis\' filnavn '.k""  ""/home/torstemy/analyser/utenis2/' filnavn '.k""" "exit"'];
    dos(winscp)
    
    %Run the input file in LS-DYNA on the server
    plink = ['c:\plink.exe  -l ******* -pw ******** *********@129.241.140.53 cd analyser ; cd utenis2; export LSTC_LICENSE=network ; export LSTC_LICENSE_SERVER=129.241.140.40 ; /home/ls971 i=/home/torstemy/analyser/utenis2/' num2str(filnavn) '.k NCPU=2'];
    
    dos(plink)
      
   
    % Transfer the result to a network drive
    cd('Y:\torstein\analyser\utenis\')
   
        winscp = ['c:\WinSCP\winscp.com /console /command "open *******:*********@129.241.140.53" "get /home/torstemy/analyser/utenis2 Y:\Torstein\analyser\utenis\' num2str(Angle(iii)) 'stiveravstand\" "exit"'];
        
        dos(winscp)
    
end
end