timestep = 0.002;
endtime = 0.6;
speed = 10;

%Choose the directories that shall be read
dir={'0.877rett' ; '15rammeavstand4' ; '20rammeavstand4'; '30rammeavstand4'; '45rammeavstand4'; '50stiveravstand'; '60stiveravstand'};
inpact_time(1:size(dir))=1;
%Read ncforc
for z=1:5
    
    
    %open directory
    cd(['Y:\Torstein\Analyser\1C\' dir{z} '\1C' ])
    % Open the output file
    fid = fopen('ncforc');
    
    %Removes the top lines of the file
    for i=1:15
        B = fgets(fid);
        Dummy = sscanf(B, '%s');
    end
    
    t = 0;
    if any(strcmp(who,'Areal'));
    else
        Areal(1,1:size(dir))=0;
    end
    
    while 1
        t = t+1;
        if B==-1
            break
        end
        %Removes lines between timesteps
        if t>1
            for s=1:6
                B = fgetl(fid);
                Dummy = sscanf(B, '%s');
            end
        end
        
        i=0;
        F=[];
        Coord=[];
        %Read values for each node in one timestep
        while 1
            i=i+1;
            B = fgetl(fid);
            
            % Ends if all nodes are read
            if isempty(B)
                break
            end
            if B==-1
                break
            end
            
            A = sscanf(B,'%e');
            B = fgetl(fid);
            C = sscanf(B,'%e');
            
            %Collect all data in the timestep
            F(i,:) = A;
            coord(i,:) = C;
            Coord(i,1) = coord(i,1);
            Coord(i,2) = coord(i,3);
            Coord(i,3) = coord(i,2);
            clearvars('coord')
            
            
            % Finds elements with contact pressure and add to the area
            if F(i,5)~=0
                if size(Areal(:,z),1)<t
                    Areal(t,z)=0;
                end
                Areal(t,z)=Areal(t,z)+sqrt(F(i,2)^2+F(i,3)^2+F(i,4)^2)/F(i,5);
            end
        end
        
        
        % Resulting force
        SF(t,:,z)=sum(F);
        % Maximum force and pressure
        if sum(F)==0
        else
            SFM(t,:,z)=max(abs(F));
        end
        
        %Find the time step where the impact happens
        Coordx=0;
        Coordx = sortrows(Coord);
        if size(Coordx(:,:),1)>0
            if SF(t,3,z)==0 && (inpact_time(z)==t || inpact_time(z)==t-1)
                inpact_time(z) = t+1;
                y(t,z) = 0;
                
                %If the impact happend at this timestep add the value of the
                %highest coordinate in y-direction of the iceberg to the variable
            else if t==inpact_time(z)
                    y(t,z) = max(Coordx(:,3));
                    
                    %After impact take maksimum coordinate in y-direction and subtract
                    %the coordinate at impact
                else
                    y(t,z) = max(Coordx(:,3))-y(inpact_time(z),z);
                end
            end
        end
        
        %Make plot over contact pressures at the different coordinates
        if t>=inpact_time(z)
            %If there is no force give NaN values to all points, so they become
            %empty in the result plot
            if size(F)==[0 0]
                Pressureplot(1:size(Pressureplot,1),1:size(Pressureplot,2),t,z)=NaN;
            else
                %find the nodes without pressure
                remove = find(F(:,5)==0);
                %Remove nodes witout pressure
                Coord(remove,:)=[];
                F(remove,:)=[];
                
                %Make an empty plot in the right size
                [xq,yq] = meshgrid(9:.05:14, 9:.05:14);
                
                %If there is no nodes set all values to nan
                if size(Coord(:,1),1)==0 || size(Coord(:,2),1)==0 || size(Coord(:,1),1)<4 || size(Coord(:,2),1)<4
                    Pressureplot(1:size(Pressureplot,1),1:size(Pressureplot,2),t,z)=NaN;
                    clearvars('F')
                else
                    %Set values to the values in the empty plot based on
                    %interpolating the values in the nodes
                    if size(F,1)>size(Coord,1)
                        Pressureplot(:,:,t,z) = griddata(Coord(1:size(F,1),1),Coord(1:size(F,1),2),F(:,5),xq,yq);
                        clearvars('F')
                    else
                        Pressureplot(:,:,t,z) = griddata(Coord(:,1),Coord(:,2),F(1:size(Coord,1),5),xq,yq);
                        clearvars('F')
                    end
                end
            end
        end
    end
    
    
    fclose(fid);
    
    %Set the initial deformation to zero
    if inpact_time(z)>0
        y(1:inpact_time(z),z)=0;
    end
    
    %Only allow rising deformaton on the shipside between timesteps
    %Because the deformation er read of the nodes of the iceberg and will
    %give wrong value for each layer of eroded elements
    for i=2:size(y,1)
        if y(i,z)<y(i-1,z)
            y(i,z)=y(i-1,z);
        end
    end
    
    %Calculating the deformation on the iceberg by use of the speed and
    %deformation on the shipside
    y_iceberg(1:size(y),z) = timestep*speed*(1:size(y,1));
    for q=1:size(y,1)
        yiceberg(q,z) = y_iceberg(q,z)-y_iceberg(inpact_time(z),z)-y(q,z);
    end
    
    %Set initial deforation of the iceberg to zero
    yiceberg(1:inpact_time(z),z)=0;
    
    % Sort the area matrix in increasing order and collect the indexes
    [d(z,1:size(Areal,1)),ind(1:size(Areal,1))]=sort(abs(Areal(:,z)),1);
    for i=1:size(ind,2)
        % Calculate average pressure and sort it according to area matrix
        avpres(z,i)=abs(SF(ind(i),3,z)/Areal(ind(i),z));
    end
    
    % Assuming normal distrubution of pressure verses area and find the
    % mean value and standard deviation
    for i=0:-1+size(ind,2)/5
        if i==-1+size(ind,2)/5
            [m(i+1),s(i+1)]=normfit(avpres(z,1+5*i:4+5*i));
            A(i+1)=mean(d(z,1+5*i:4+5*i));
        else
            [m(i+1),s(i+1)]=normfit(avpres(z,1+5*i:5+5*i));
            A(i+1)=mean(d(z,1+5*i:5+5*i));
        end
    end
    
    % Fit curves to mean and to mean pluss 3 times the standard deviation
    % using least squares method
    C(1:2,z)=polyfit(log(A)',log(m+3*s),1)';
    V(1:2,z)=polyfit(log(d(z,:)),log(avpres(z,:)),1)';
    
    % making the graphs values
    x=0.001:0.001:5;
    Press(:,1,z)=exp(C(2,1))*x.^C(1,z);
    Press(:,2,z)=exp(V(2,z))*x.^V(1,z);
    ISO=7.4*10^6*x.^-0.7;
    
    %Read matsum
    fid = fopen('matsum');
    
    %Removes the top lines of the file
    for i=1:21
        B = fgets(fid);
        Dummy = sscanf(B, '%s');
    end
    
    t=0;
    
    while 1
        t = t+1;
        
        %Removes lines between timesteps
        if t>1
            for s=1:35
                B = fgetl(fid);
                if B==-1
                    break
                end
                Dummy = sscanf(B, '%s');
            end
        end
        
        B = fgetl(fid);
        if B==-1
            break
        end
        
        %Energy(t,:) = sscanf(B,'%*s %e %*s %e %*s %e %*s %e %*s %e');
        
    end
    fclose(fid)
    
    %Totenergy = Energy(:,2)+Energy(:,4);
    % L = 0;
    %
    % for i=1:size(Totenergy)-1
    %     if SF(i,2,z)==0
    %         DeltaL(i)=0;
    %     else
    %         DeltaL(i) = (Totenergy(i+1)-Totenergy(i))/SF(i,2,z);
    %     end
    %     L(i+1) = L(i)+DeltaL(i);
    % end
end

%Plot the pressure area graph
figure(1)
hold on
xlabel('Area [m^2]')
ylabel('Average pressure [Pa]')
scatter(d(1,:),avpres(1,:),'.b')
scatter(d(2,:),avpres(2,:),'.g')
scatter(d(3,:),avpres(3,:),'.r')
scatter(d(4,:),avpres(4,:),'.c')
plot(x,ISO,'-r','LineWidth',2)
axis([0,3,0,7*10^7])
legend({dir{1:4} 'ISO'})
hold off

%Plot the Displacment-mpact force graph
Legend = {};
dir=strrep(dir,'rett','');
for i=1:size(y,2)
    Legend{i} = [dir{i} ' m'];
end
colors=['b', 'g', 'r', 'c', 'k'];
figure(1)
hold on
xlabel('Displacment [m]')
ylabel('Impact force [N]')
for ss=1:size(y,2)
    plot(y(2:(find(yiceberg(:,ss)>1,1)),ss),-SF(2:(find(yiceberg(:,ss)>1,1)),3,ss), colors(ss))
end
for ss=1:size(y,2)
    plot(-yiceberg(2:(find(yiceberg(:,ss)>1,1)),ss),-SF(2:(find(yiceberg(:,ss)>1,1)),3,ss), colors(ss))
end
axis([-1 0.3 0 1.1*max(max(-SF(2:100,3,:)))])
set(gca,'XTick',[-1:0.1:0 0.1:0.1:0.3])
hleg=legend(Legend);
set(hleg,'Location','NorthEast')
hold off

%Plot pressure plot
figure(3)
Title={'10^{\circ}' '15^{\circ}' '20^{\circ}' '30^{\circ}' '40^{\circ}' '50^{\circ}' '60^{\circ}'};
for sss=1:5
    subplot(3,3,sss)
    surface(xq,yq,Pressureplot(:,:,find(yiceberg(:,sss)>0.054,1),sss))
    xlabel('x-coordinate')
    ylabel('y-coordinate')
    ss=0;
    while 1
        line([12+0.8*ss 12+0.8*ss], [min(yq(:,1)) max(yq(:,1))], [100 100], 'linestyle', '-')
        line([11.2-0.8*ss 11.2-0.8*ss], [min(yq(:,1)) max(yq(:,1))], [100 100], 'linestyle', '-')
        if max(xq(1,:))<12+0.8*(ss+1)
            break
        end
        ss=ss+1;
    end
    %line([min(xq(1,:)) max(xq(1,:))], [12.8 12.8], [100 100])
    %line([min(xq(1,:)) max(xq(1,:))], [9.6 9.6], [100 100])
    axis([min(xq(1,:))+2 max(xq(1,:))-1.7 min(yq(:,1))+2 max(yq(:,1))-1.7])
    caxis([0 1*10^7])
    title(Title{sss})
end


%Creating the energy variables
ENERGYICE(1,1:size(y,2))=0;
ENERGYSHIP(1,1:size(y,2))=0;

%Calculating energy as the area below the impact force displacment graph
for i=1:size(y,1)-1
    for j=1:size(y,2)
        if yiceberg(i,j)<1.5
            ENERGYSHIP(i+1,j) = ENERGYSHIP(i,j)+(y(1+i,j)-y(i,j))*SF(1+i,3,j);
            ENERGYICE(i+1,j) = ENERGYICE(i,j)+(yiceberg(1+i,j)-yiceberg(i,j))*SF(1+i,3,j);
        else
            ENERGYSHIP(i+1,j) = ENERGYSHIP(i,j);
            ENERGYICE(i+1,j) = ENERGYICE(i,j);
        end
    end
end
hold on

%Plot the energy of the ship against energy of the ceberg 
plot(-ENERGYICE,-ENERGYSHIP)
%legend(Title)
ylabel('Energy absorbed by the ship [J]')
xlabel('Energy absorbed by the iceberg [J]')
axis([0 7*10^5 0 11*10^4])
hold off

%Sumarizing to find total energy
toten=ENERGYSHIP+ENERGYICE;
%Ploting total energy against deformation of the shipside
figure(12)
hold on
for q=1:size(y,2)
    
    plot(-toten(1:find(ENERGYICE(:,q)<(-1*10^6)),q),y(1:find(ENERGYICE(:,q)<(-1*10^6)),q), colors(q))
    mellom=strrep(strrep(dir{q},'rett',''), 's', '');
    Title{q} = [mellom(1:min(5,size(mellom,2))) ' m'];
end
xlabel('Total Energy [J]')
ylabel('Deformation ship [m]')
% axis([0 2*10^6 0 0.2])
Title={'10^{\circ}' '15^{\circ}' '20^{\circ}' '30^{\circ}' '45^{\circ}' '50^{\circ}' '60^{\circ}'};
legend(Title)